2009-02-25 23:03  stephan

	* NEWS, configure.ac.in:
	  == Xfce 4.6.0 Released! ==

2009-02-24 19:06  olivier

	* ChangeLog, settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-settings.c:
	  settings-dialogs/tweaks-settings.c: Include gdk.h & gdkx.h *
	  settings-dialogs/xfwm4-settings.c,

2009-02-24 18:53  olivier

	* ChangeLog, settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/tweaks-settings.c: Do not run setting dialogs if
	  current window manager is not xfwm4 (Bug #4989).

2009-02-23 23:59  olivier

	* ChangeLog, src/cycle.c, src/moveresize.c:
	  * src/cycle.c, src/moveresize.c: Make sure any active grab on the
	  keyboard and pointer are released (Corollary to bug #4959).

2009-02-23 10:06  olivier

	* ChangeLog, src/client.c, src/client.h, src/events.c, src/focus.c,
	  src/netwm.c, src/netwm.h:
	  * src/netwm.h, src/netwm.c, src/client.h, src/client.c,
	  src/events.c, src/focus.c: Capture user time at startup, a bit of
	  refactoring to avoid duplication of code (that led to this bug to
	  remain after a similar fix went previously in to events.c in
	  revision 29456).

2009-02-22 16:58  pollux

	* po/zh_CN.po:
	  sorry for the noise

2009-02-22 16:57  pollux

	* po/zh_CN.po:
	  This commit should be blocked by pre-commit-check-po.sh

2009-02-20 23:58  maximilian

	* po/ChangeLog, po/gl.po:
	  Translations Updates - ca es gl id it pt_PT zh_CN

2009-02-20 22:04  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update by Stavros Giannouris and Evaggelos
	  Balaskas.

2009-02-20 22:02  olivier

	* ChangeLog, src/events.c:
	  * src/events.c: Only release events on identified key shortcut
	  (Bug #4959).

2009-02-20 12:37  olivier

	* ChangeLog, src/events.c:
	  * src/events.c: And do not release events on key release, as
	  Super is both a modifier and a regular key that repeats, it
	  breaks when used as a modifier (Bug #4959).

2009-02-19 12:54  olivier

	* ChangeLog, NEWS, src/events.c:
	  * src/events.c: Use timestamp provided by the event itself to
	  release queued events (Bug #4959).

2009-02-19 11:21  olivier

	* ChangeLog, src/events.c:
	  * src/events.c: Use more appropriate callback function name
	  (trivial).

2009-02-19 09:56  olivier

	* ChangeLog, NEWS, src/events.c, src/screen.c, src/screen.h,
	  src/settings.c:
	  * src/settings.c, src/events.c, src/screen.c, src/screen.h: Apply
	  font settings changes in real time (DPI, hinting, hint style,
	  rgba).

2009-02-18 22:21  olivier

	* ChangeLog, NEWS, settings-dialogs/workspace-settings.c:
	  * settings-dialogs/workspace-settings.c: Fix limits for margin
	  being inverted - patch by Mike Massonnet
	  <mike.massonnet@gmail.com> (Bug #4931).

2009-02-18 22:17  olivier

	* ChangeLog, src/placement.c:
	  * src/placement.c: Same, still not right (Bug #4960).

2009-02-18 19:39  olivier

	* ChangeLog, NEWS, src/placement.c:
	  * src/placement.c: Fix size not properly computed by the fill
	  function with a dock on top or left (Bug #4960).

2009-02-17 09:31  olivier

	* ChangeLog, src/keyboard.c:
	  * src/keyboard.c: Use proper type for returned value.

2009-02-16 11:11  olivier

	* ChangeLog, NEWS, src/client.c, src/events.c:
	  * src/events.c, src/client.c: Fix ICCCM synthetic unmap notify
	  handling causing a race condition with amule when started hidden
	  to system tray (Bug #4928). Note: This is still unclear to me
	  what is correct behaviour here, the problem reported in bug #4928
	  happens with some other window managers too (e.g. kwin from kde
	  4.2, fluxbox) but not with others (openbox, metacity, icewm).

2009-02-08 08:20  maximilian

	* po/ChangeLog, po/pl.po:
	  Translations udaptes - de id ja nb pl zh_CN

2009-02-07 20:14  olivier

	* configure.ac.in:
	  Use revision 29463 for libxfce4kbd_private minimum revision just
	  like in xfce4-settings

2009-02-07 20:10  olivier

	* ChangeLog, configure.ac.in, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c : Add the new parameter
	  required for the API change for xfce_shortcut_dialog_run(), Add
	  dependecy on libxfce4kbd_private revision. * src/events.c : Fix
	  user time not being taken from the user time

2009-02-07 20:02  eulex

	* po/ChangeLog, po/sv.po:
	  xfwm4/trunk/po: * sv.po: Swedish translation update (Daniel
	  Nylander) xfconf/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander)

2009-02-07 00:39  olivier

	* ChangeLog, NEWS, src/events.c, src/focus.c, src/mypixmap.c,
	  src/mywindow.c:
	  * src/events.c, : Fix user time not being taken from the user
	  time window for apps which support that protocol, that was
	  breaking focus stealing prevention for all gtk, src/focus.c: Do
	  not automatically give focus to windows placed on lower layers,
	  but focus those on upper layers at first map.

2009-02-05 13:06  olivier

	* ChangeLog, settings-dialogs/xfwm4-dialog.glade, src/events.c,
	  src/moveresize.c, src/settings.c:
	  * settings-dialogs/xfwm4-dialog.glade: Set minimum value for
	  wrap_resistance and snap_width (0 is not a valid value)
	  src/settings.c: clamp values to sensible defaults src/events.c,
	  src/moveresize.c: reduce the warping distance of the mouse
	  pointer (bug #3290)

2009-02-05 01:23  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2009-02-03 21:07  maximilian

	* po/ChangeLog, po/en_GB.po, po/es.po:
	  Translations updates - en_GB es

2009-02-01 22:42  jannis

	* ChangeLog, NEWS, settings-dialogs/xfwm4-settings.c:
	  * NEWS: Update NEWS file. * settings-dialogs/xfwm4-settings.c:
	  When stealing a shortcut from another shortcuts provider, clear
	  the shortcut of that provider first.

2009-02-01 13:35  jannis

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c: Only display shortcut
	  conflict dialog if the action of the new shortcut differs from
	  the one that's being edited.

2009-02-01 01:03  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation fixed

2009-01-31 17:38  erenturkay

	* po/ChangeLog, po/tr.po:
	  Turkish translation update by Gokmen Gorgen and Samed Beyribey

2009-01-29 20:50  olivier

	* ChangeLog, NEWS, src/placement.c:
	  * src/placement.c: Apparently someone is confusing East and West
	  :) Fix fill function not working with multiscreen.

2009-01-29 20:47  olivier

	* ChangeLog, NEWS, src/events.c:
	  * src/events.c: Clear monitor cache when the screen size changes,
	  but avoid redoing the work twice in the case of a monitor-changed
	  event.

2009-01-26 01:24  jannis

	* ChangeLog, NEWS, configure.ac.in, po/ChangeLog, po/am.po,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/da.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/id.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  * == 4.5.99.1 released! == * NEWS: Update NEWS file for the
	  release. * configure.ac.in: Bump version number and dependencies.
	  * xfwm4.pot, *.po: Update translation files for the release.

2009-01-25 23:15  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c: gtk, not glib for
	  gtk_selection_data_get_data()

2009-01-25 21:00  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c:
	  gtk_selection_data_get_data() is gtk+2.14 (Bug #4855)

2009-01-25 17:59  olivier

	* ChangeLog, NEWS, configure.ac.in,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-dialog.glade: Make title alignment and
	  button layout insensitive when not supported by the theme
	  selected, fix a memory leak, configure.ac.in: Remove AC_C_CONST *
	  settings-dialogs/xfwm4-settings.c: Fix dragging button layout
	  when the dialog is embedded in the settings dialog (Bug #4524).

2009-01-25 16:38  nick

	* NEWS, settings-dialogs/xfwm4-settings.c:
	  Fix dragging button layout when the dialog is embedded in the
	  settings dialog (Bug #4524).

2009-01-24 23:42  olivier

	* ChangeLog, NEWS, README, src/client.c, src/client.h,
	  src/display.c, src/display.h, src/events.c, src/hints.c,
	  src/hints.h, src/netwm.c:
	  * src/display.c, src/display.h, src/events.c, src/client.c
	  src/client.h, src/hints.c, src/hints.h, src/netwm.c, README: Add
	  support for NET_WM_FULLSCREEN_MONITORS

2009-01-24 17:27  pko

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation update (Per Kongstad) * da.poÆ Danish
	  translation update (Per Kongstad)

2009-01-23 22:36  olivier

	* ChangeLog, NEWS, configure.ac.in, defaults/defaults,
	  src/parserc.c, src/settings.c, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/left-active.png, themes/default/left-active.svg,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg:
	  * src/parserc.c, src/settings.c, src/settings.c: Fix settings not
	  being set at startup (Bug #4845) themes/default/*: Flatten
	  default theme

2009-01-21 19:02  olivier

	* ChangeLog, NEWS, src/main.c:
	  * src/main.c: Command line option "--daemon" would have no effect
	  when xfwm4 connects to the session manager.

2009-01-20 09:18  olivier

	* ChangeLog, mcs-plugin:
	  * mcs-plugin: Removed.

2009-01-19 20:58  maximilian

	* po/ChangeLog, po/nb_NO.po:
	  Translations udpates - es fr nb_NO zh_CN

2009-01-18 21:51  olivier

	* ChangeLog, src/screen.c:
	  * src/screen.c: Use G_MAXINT as default to make sure it's off
	  bound.

2009-01-18 21:45  olivier

	* ChangeLog, src/client.c, src/client.h, src/compositor.c,
	  src/compositor.h, src/cycle.c, src/cycle.h, src/display.c,
	  src/display.h, src/event_filter.c, src/event_filter.h,
	  src/events.c, src/events.h, src/focus.c, src/focus.h,
	  src/frame.c, src/frame.h, src/hints.c, src/hints.h, src/icons.c,
	  src/icons.h, src/keyboard.c, src/keyboard.h, src/main.c,
	  src/menu.c, src/menu.h, src/misc.c, src/misc.h, src/moveresize.c,
	  src/moveresize.h, src/mypixmap.c, src/mypixmap.h, src/mywindow.c,
	  src/mywindow.h, src/netwm.c, src/netwm.h, src/parserc.c,
	  src/parserc.h, src/placement.c, src/placement.h, src/poswin.c,
	  src/poswin.h, src/screen.c, src/screen.h, src/session.c,
	  src/session.h, src/settings.c, src/settings.h,
	  src/spinning_cursor.c, src/spinning_cursor.h, src/stacking.c,
	  src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/stock_icons.c, src/stock_icons.h,
	  src/tabwin.c, src/tabwin.h, src/terminate.c, src/terminate.h,
	  src/transients.c, src/transients.h, src/ui_style.c,
	  src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h, src/xsync.c, src/xsync.h:
	  * src/*.c, src/*.h: Update year.

2009-01-18 21:42  olivier

	* ChangeLog, src/client.c, src/events.c, src/moveresize.c,
	  src/netwm.c, src/placement.c, src/screen.c, src/screen.h,
	  src/tabwin.c:
	  * src/client.c, src/events.c, src/moveresize.c, src/netwm.c,
	  src/placement.c, src/screen.c, src/screen.h, src/tabwin.c: Cache
	  the monitor geometry instead of just the monitor number, it's
	  more efficient.

2009-01-18 18:00  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates - es et fr ja zh_CN

2009-01-18 12:32  eulex

	* po/ChangeLog, po/sv.po:
	  xfce4-session/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) xfce4-panel/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander) xfce4-settings/trunk/po: *
	  sv.po: Swedish translation update (Daniel Nylander)
	  libxfce4menu/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) libxfce4util/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander) xfwm4/trunk/po: * sv.po:
	  Swedish translation update (Daniel Nylander)
	  xfce4-appfinder/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) xfconf/trunk/po: * sv.po: Swedish translation
	  update (Daniel Nylander) libxfcegui4/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander)

2009-01-17 13:57  olivier

	* ChangeLog, settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-dialog.glade: Make focus delay insensitive
	  in click to focus mode.

2009-01-16 12:54  olivier

	* ChangeLog, NEWS, src/client.c, src/events.c, src/menu.c,
	  src/misc.c, src/misc.h, src/moveresize.c, src/netwm.c,
	  src/placement.c, src/screen.c, src/screen.h, src/tabwin.c:
	  * src/misc.h, src/misc.c, src/screen.h, src/screen.c,
	  src/events.c, src/menu.c, src/tabwin.c, src/placement.c,
	  src/client.c, src/moveresize.c, src/netwm.c: Need to invalidate
	  our internal monitor caching when adding/removing monitors with
	  randr 1.2

2009-01-15 14:16  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2009-01-14 21:22  jannis

	* ChangeLog, configure.ac.in:
	  * configure.in.in: Post-release version bump.

2009-01-12 21:41  stephan

	* configure.ac.in:
	  Bump version number

2009-01-12 08:44  olivier

	* ChangeLog, NEWS:
	  * NEWS: Typos

2009-01-11 22:28  maximilian

	* po/ChangeLog, po/es.po:
	  Translations updates - ca es ja

2009-01-11 16:29  olivier

	* ChangeLog, NEWS, src/focus.c:
	  * src/focus.c: Do not place unfocused windows on top of the
	  focused window, when not focusing new windows (Bug #4795)

2009-01-07 22:18  olivier

	* ChangeLog, NEWS, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/xfwm4-settings.c, src/netwm.c:
	  * settings-dialogs/xfwm4-settings.c: Remove markup not supported
	  by xfce_message_dialog() (Bug #4786)

2009-01-07 09:19  olivier

	* ChangeLog, settings-dialogs/xfwm4-dialog.glade:
	  * settings-dialogs/xfwm4-dialog.glade: Fix typo introduced in
	  previous update

2009-01-06 09:25  olivier

	* ChangeLog, NEWS, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/tweaks-settings.c, po/*: Fix strings not being
	  localized (Bug #4740)

2009-01-04 21:35  maximilian

	* po/ChangeLog, po/ca.po:
	  Translations updates - ca fr pl

2008-12-30 10:26  sas

	* po/hu.po:
	  [intl:hu] littlefixes2

2008-12-30 09:15  sas

	* po/hu.po:
	  [intl:hu] little updates

2008-12-25 19:19  maximilian

	* po/ChangeLog, po/id.po, po/ja.po, po/uk.po, po/zh_CN.po:
	  Translations updates - gl id ja uk zh_CN

2008-12-24 18:17  olivier

	* ChangeLog, NEWS, defaults/defaults, src/compositor.c,
	  themes/default/themerc:
	  * src/compositor.c, default/defaults, themes/default/themerc:
	  Increase shadow radius, center shadow by default.

2008-12-23 12:26  olivier

	* themes/kokodi/themerc:
	  Play with shadow params

2008-12-21 13:14  eulex

	* po/ChangeLog, po/sv.po:
	  xfwm4/trunk/po: * sv.po: Swedish translation update (Daniel
	  Nylander)

2008-12-19 14:18  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-12-16 22:25  olivier

	* ChangeLog, NEWS, settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  * settings-dialogs/xfwm4-workspace-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-dialog.glade: Do not mark gtk+ stock
	  labels as translatable (Bug #4722)

2008-12-16 22:16  olivier

	* ChangeLog, NEWS, src/placement.c:
	  * src/placement.c: Prevent "fill" from expanding beyound physical
	  monitor.

2008-12-16 18:38  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-12-16 09:37  piarres

	* po/eu.po:
	  Basque translation update

2008-12-15 08:31  piarres

	* po/ChangeLog:
	  Fixen erroneus date in ChangeLog

2008-12-14 21:55  olivier

	* ChangeLog, NEWS, src/client.c, src/client.h, src/placement.c,
	  src/placement.h:
	  * src/placement.c, src/placement.h, src/client.c, src/client.h:
	  Fix fill horizontally and vertically not working as expected (Bug
	  #4712)

2008-12-14 12:29  olivier

	* ChangeLog, NEWS, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade:
	  * settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade: String review by Josh
	  Saddler <nightmorph@gentoo.org> (Bug #4703)

2008-12-14 00:57  piarres

	* po/ChangeLog, po/eu.po:
	  Trunk Basque translation update

2008-12-12 23:58  olivier

	* ChangeLog, NEWS, src/client.c:
	  * src/client.c: Remove maximization if a client updates its size
	  max size hint (Bug #4706)

2008-12-11 12:23  olivier

	* ChangeLog, src/default_icon.png, src/default_icon.svg,
	  src/inline-default-icon.h, themes/kokodi/bottom-active.png,
	  themes/kokodi/bottom-inactive.png,
	  themes/kokodi/bottom-left-active.png,
	  themes/kokodi/bottom-left-inactive.png,
	  themes/kokodi/bottom-right-active.png,
	  themes/kokodi/bottom-right-inactive.png,
	  themes/kokodi/close-active.png, themes/kokodi/close-inactive.png,
	  themes/kokodi/close-prelight.png,
	  themes/kokodi/close-pressed.png, themes/kokodi/hide-active.png,
	  themes/kokodi/hide-inactive.png, themes/kokodi/hide-prelight.png,
	  themes/kokodi/hide-pressed.png, themes/kokodi/left-active.png,
	  themes/kokodi/left-inactive.png,
	  themes/kokodi/maximize-active.png,
	  themes/kokodi/maximize-inactive.png,
	  themes/kokodi/maximize-prelight.png,
	  themes/kokodi/maximize-pressed.png,
	  themes/kokodi/maximize-toggled-active.png,
	  themes/kokodi/maximize-toggled-inactive.png,
	  themes/kokodi/maximize-toggled-prelight.png,
	  themes/kokodi/maximize-toggled-pressed.png,
	  themes/kokodi/menu-active.png, themes/kokodi/menu-active.svg,
	  themes/kokodi/menu-active.xpm, themes/kokodi/menu-inactive.png,
	  themes/kokodi/menu-inactive.svg, themes/kokodi/menu-inactive.xpm,
	  themes/kokodi/menu-prelight.png, themes/kokodi/menu-prelight.svg,
	  themes/kokodi/menu-prelight.xpm, themes/kokodi/menu-pressed.png,
	  themes/kokodi/menu-pressed.svg, themes/kokodi/menu-pressed.xpm,
	  themes/kokodi/right-active.png, themes/kokodi/right-inactive.png,
	  themes/kokodi/shade-active.png, themes/kokodi/shade-inactive.png,
	  themes/kokodi/shade-prelight.png,
	  themes/kokodi/shade-pressed.png,
	  themes/kokodi/shade-toggled-active.png,
	  themes/kokodi/shade-toggled-inactive.png,
	  themes/kokodi/shade-toggled-prelight.png,
	  themes/kokodi/shade-toggled-pressed.png,
	  themes/kokodi/stick-active.png, themes/kokodi/stick-inactive.png,
	  themes/kokodi/stick-prelight.png,
	  themes/kokodi/stick-pressed.png,
	  themes/kokodi/stick-toggled-active.png,
	  themes/kokodi/stick-toggled-inactive.png,
	  themes/kokodi/stick-toggled-prelight.png,
	  themes/kokodi/stick-toggled-pressed.png,
	  themes/kokodi/title-1-active.png,
	  themes/kokodi/title-1-inactive.png,
	  themes/kokodi/title-2-active.png,
	  themes/kokodi/title-2-inactive.png,
	  themes/kokodi/title-3-active.png,
	  themes/kokodi/title-3-inactive.png,
	  themes/kokodi/title-4-active.png,
	  themes/kokodi/title-4-inactive.png,
	  themes/kokodi/title-5-active.png,
	  themes/kokodi/title-5-inactive.png,
	  themes/kokodi/top-left-active.png,
	  themes/kokodi/top-left-inactive.png,
	  themes/kokodi/top-right-active.png,
	  themes/kokodi/top-right-inactive.png:
	  * settings-dialogs/monitor-icon.svg,
	  settings-dialogs/monitor-icon.png,

2008-12-10 22:18  olivier

	* AUTHORS, COPYING, ChangeLog, settings-dialogs/monitor-icon.h,
	  settings-dialogs/monitor-icon.png,
	  settings-dialogs/monitor-icon.svg, src/default_icon.png,
	  src/default_icon.svg, src/inline-default-icon.h:
	  * settings-dialogs/monitor-icon.svg,
	  settings-dialogs/monitor-icon.png, src/default_icon.svg,
	  src/default_icon.png: Redo the icons from scratch so we it's not
	  a derivative work from the Tango icons anymore (and thus remove
	  the CCPL).

2008-12-06 11:32  olivier

	* AUTHORS, COPYING, ChangeLog, settings-dialogs/Makefile.am,
	  settings-dialogs/monitor-icon.h,
	  settings-dialogs/monitor-icon.png,
	  settings-dialogs/monitor-icon.svg:
	  * settings-dialogs/monitor-icon.svg,
	  settings-dialogs/monitor-icon.png,
	  settings-dialogs/monitor-icon.h: Replace monitor icon with an
	  icon based on the Tango icon theme (Bug #4666), COPYING: Add the
	  CCPL as some icons are derived work from the Tango icons.

2008-12-03 22:31  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates - fr pl

2008-11-30 21:43  maximilian

	* po/ChangeLog, po/ca.po:
	  Translations updates - ca - xfce4-session po update

2008-11-29 23:00  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates - fr

2008-11-29 18:55  olivier

	* ChangeLog:
	  Wrong date in Changelog

2008-11-29 18:17  olivier

	* ChangeLog, NEWS, src/placement.c:
	  * src/placement.c: Fix smart placement not working for windows
	  with height or width larger than actual screen size (Bug# 3126).

2008-11-27 14:54  olivier

	* ChangeLog, src/transients.c:
	  * src/transients.c: Based on previous change, we an now optimize
	  clientGetModalFor() and make it a lot simpler and more efficient.

2008-11-27 13:41  olivier

	* ChangeLog, src/transients.c:
	  * src/transients.c: Do not consider all windows of the same group
	  for modality (See comment in Bug #3586)

2008-11-27 13:27  olivier

	* ChangeLog, src/focus.c, src/focus.h:
	  * src/focus.c, src/focus.h: Only focus the fallback window when
	  transitioning focus from a destroy or unmap (Should fix Bug
	  #4652) Do some small cleanup, remove older code ifdef'ed. *
	  src/moveresize.c: Work around a problem affecting the use of to
	  check the value for each iteration.

2008-11-27 00:22  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translations.

2008-11-25 21:20  maximilian

	* po/ChangeLog, po/es.po:
	  Translations updates - es fr

2008-11-25 19:33  olivier

	* ChangeLog, themes/daloa/close-active.xpm,
	  themes/daloa/close-inactive.xpm, themes/daloa/close-prelight.xpm,
	  themes/daloa/close-pressed.xpm, themes/daloa/hide-active.xpm,
	  themes/daloa/hide-inactive.xpm, themes/daloa/hide-prelight.xpm,
	  themes/daloa/hide-pressed.xpm, themes/daloa/maximize-active.xpm,
	  themes/daloa/maximize-inactive.xpm,
	  themes/daloa/maximize-prelight.xpm,
	  themes/daloa/maximize-pressed.xpm,
	  themes/daloa/maximize-toggled-active.xpm,
	  themes/daloa/maximize-toggled-inactive.xpm,
	  themes/daloa/maximize-toggled-prelight.xpm,
	  themes/daloa/maximize-toggled-pressed.xpm,
	  themes/daloa/shade-active.xpm, themes/daloa/shade-inactive.xpm,
	  themes/daloa/shade-prelight.xpm, themes/daloa/shade-pressed.xpm,
	  themes/daloa/shade-toggled-active.xpm,
	  themes/daloa/shade-toggled-inactive.xpm,
	  themes/daloa/shade-toggled-prelight.xpm,
	  themes/daloa/shade-toggled-pressed.xpm,
	  themes/daloa/stick-active.xpm, themes/daloa/stick-inactive.xpm,
	  themes/daloa/stick-prelight.xpm, themes/daloa/stick-pressed.xpm,
	  themes/daloa/stick-toggled-active.xpm,
	  themes/daloa/stick-toggled-inactive.xpm,
	  themes/daloa/stick-toggled-prelight.xpm,
	  themes/daloa/stick-toggled-pressed.xpm:
	  * themes/daloa: Enlarge active zone of buttons

2008-11-24 21:33  maximilian

	* po/ChangeLog, po/uk.po:
	  Translations updates - fr uk

2008-11-23 14:47  maximilian

	* po/ChangeLog, po/ca.po, po/ja.po, po/nb_NO.po:
	  Translations updates - ca ja nb uk

2008-11-20 18:28  olivier

	* ChangeLog, defaults/defaults:
	  * defaults/defaults: Fix default value for easy_click

2008-11-20 18:12  olivier

	* ChangeLog, NEWS, src/moveresize.c:
	  * src/moveresize.c: Work arround a problem affecting the use of
	  the "Super" key as modifier for moving windows (Bug #4632)

2008-11-19 22:11  olivier

	* TODO:
	  Update TODO

2008-11-19 20:26  jannis

	* po/ChangeLog, po/de.po:
	  * de.po: Update German translations.

2008-11-19 06:37  olivier

	* ChangeLog, settings-dialogs/workspace-settings.c:
	  * settings-dialogs/workspace-settings.c: Trivial optimization, no
	  need to check the value for eatch iteration.

2008-11-18 22:45  maximilian

	* po/ChangeLog, po/id.po, po/sq.po:
	  Translations updates for - de, id, ja, nb_NO and finally sq

2008-11-18 22:44  olivier

	* ChangeLog, settings-dialogs/workspace-settings.c:
	  * settings-dialogs/workspace-settings.c: Make sure the data
	  retrieved from xfconf is not null (Bug #4616)

2008-11-16 22:39  maximilian

	* po/ChangeLog, po/ca.po, po/de.po, po/es.po:
	  Translations updates and additions - ca, de, es, id, tr, uk

2008-11-15 20:52  erenturkay

	* po/ChangeLog, po/tr.po:
	  Turkish translation update

2008-11-15 19:27  olivier

	* ChangeLog, settings-dialogs/xfwm4-workspace-dialog.glade:
	  * settings-dialogs/xfwm4-workspace-dialog.glade: Set page-size to
	  0 for gtk+ 2.14

2008-11-12 11:09  piarres

	* po/ChangeLog, po/eu.po:
	  Xfce-trunk BAsque translation updates

2008-11-11 20:32  olivier

	* ChangeLog, po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po:
	  * po/*.po, po/xfwm4.pot: update po

2008-11-11 18:53  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c: Fix focus model selection

2008-11-11 18:18  jannis

	* ChangeLog, src/settings.c:
	  * src/settings.c: Place the sidewalks again after wrap_workspaces
	  has changed.

2008-11-11 14:57  olivier

	* ChangeLog, src/Makefile.am:
	  * src/Makefile.am: add missing inline icons

2008-11-11 14:43  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c: Fix build with -Werror.

2008-11-11 14:25  olivier

	* ChangeLog, settings-dialogs/workspace-settings.c:
	  * settings-dialogs/workspace-settings.c: Use editable cells
	  instead of yet another popup dialog.

2008-11-11 13:51  olivier

	* ChangeLog, settings-dialogs/workspace-settings.c:
	  * settings-dialogs/workspace-settings.c: Revert

2008-11-11 13:49  olivier

	* ChangeLog, settings-dialogs/workspace-settings.c,
	  src/Makefile.am:
	  * src/Makefile.am: stock_rolldown.png missing in Makefile.am

2008-11-11 13:37  stephan

	* configure.ac.in:
	  Update xfwm4 version for xfce 4.6 beta2

2008-11-10 13:10  jannis

	* settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  Fix the /general/click_to_focus radio button synchronization with
	  xfconf. The two radio buttons are now properly updated when the
	  /general/click_to_focus property is changed outside of the
	  dialog.

2008-11-10 12:30  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation.

2008-11-10 00:15  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-11-09 16:36  olivier

	* ChangeLog, po/POTFILES.in, settings-dialogs/Makefile.am:
	  * po/POTFILES.in, settings-dialogs/Makefile.am: Fix make
	  distcheck

2008-11-09 16:08  olivier

	* themes/default.keys:
	  Remove default.keys

2008-11-09 16:03  olivier

	* ChangeLog, configure.ac.in, po/am.po, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/da.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po:
	  * configure.ac.in: Update version po/*: Update po

2008-11-09 15:34  olivier

	* ChangeLog, NEWS, settings-dialogs/workspace-settings.c,
	  src/cycle.c:
	  * settings-dialogs/workspace-settings.c: Fix compiler warning
	  src/cycle.c: Add key shortcut for reverse cycling (Bug #2778)

2008-11-09 11:46  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c, src/cycle.c,
	  src/events.c, src/screen.c, src/screen.h, src/settings.c,
	  src/settings.h:
	  * settings-dialogs/xfwm4-settings.c, src/cycle.c, src/settings.c,
	  src/events.c, src/settings.h, src/screen.c, src/screen.h: Prepare
	  code for reverse cycling (not finished yet).

2008-11-08 20:21  olivier

	* src/tabwin.c:
	  indentation

2008-11-08 20:20  olivier

	* ChangeLog, NEWS, src/tabwin.c:
	  * src/tabwin.c: Draw focus in tabwin to make sure the selection
	  is visible even with themes that do not show selected items.

2008-11-08 17:28  olivier

	* ChangeLog, src/settings.c:
	  * src/settings.c: Do not display warnings for "workspace_names",
	  for real this time...

2008-11-08 17:19  olivier

	* ChangeLog, NEWS, settings-dialogs/workspace-settings.c:
	  * settings-dialogs/workspace-settings.c: Fix workspaces names not
	  being set in the workspace settings GUI.

2008-11-08 16:54  olivier

	* themes/default.keys/keythemerc:
	  Revert some temporary change that were not meant to be committed

2008-11-08 16:48  olivier

	* ChangeLog, src/settings.c, themes/default.keys/keythemerc:
	  * src/settings.c: Do not display warnings for "workspace_names"
	  either. * settings-dialogs/xfwm4-settings.c: Fix possible crash
	  when the dbl_click_action setting gets unset.

2008-11-08 07:11  kelnos

	* NEWS, settings-dialogs/xfwm4-settings.c:
	  fix possible crash if the dbl_click_action setting gets unset

2008-11-07 12:41  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-11-04 12:12  piarres

	* po/ChangeLog, po/eu.po:
	  xfwm4 and xfce4-session BAsque translation update

2008-11-02 23:38  maximilian

	* po/ChangeLog, po/es.po:
	  Translation updates and additions - de es ku tr

2008-11-02 18:14  olivier

	* ChangeLog, src/parserc.c, src/settings.c:
	  * src/parserc.c, src/settings.c: Do not display warnings for
	  values that are not configurable via xfconf (typically theme
	  settings).

2008-11-02 17:48  olivier

	* ChangeLog, settings-dialogs/tweaks-settings.c, src/client.c,
	  src/settings.c:
	  * settings-dialogs/tweaks-settings.c, src/settings.c,
	  src/client.c: Fix indentation.

2008-11-02 17:45  olivier

	* ChangeLog, NEWS, defaults/defaults,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade, src/client.c,
	  src/client.h, src/settings.c, src/settings.h:
	  * settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/tweaks-settings.c, src/settings.c,
	  src/settings.h, src/client.c, src/client.h, defaults/defaults:
	  Add new option do disable blinking of urgent windows.

2008-11-02 17:24  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-11-01 19:31  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-10-31 21:20  olivier

	* ChangeLog, NEWS, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/xfwm4-settings.c: Fix compiler warnings
	  xfwm4/trunk/settings-dialogs/Makefile.am
	  xfwm4/trunk/settings-dialogs/tweaks-settings.c
	  xfwm4/trunk/settings-dialogs/workspace-settings.c
	  xfwm4/trunk/settings-dialogs/xfwm4-settings.c
	  xfwm4/trunk/src/Makefile.am xfwm4/trunk/src/event_filter.c
	  xfwm4/trunk/src/events.c xfwm4/trunk/src/keyboard.c
	  xfwm4/trunk/src/keyboard.h xfwm4/trunk/src/screen.h
	  xfwm4/trunk/src/settings.c xfwm4/trunk/themes/Makefile.am
	  xfwm4/trunk/configure.ac.in xfwm4/trunk/defaults/defaults: Add
	  support for keyboard shortcuts. Remove experimental shortcuts
	  code and add dependency on libxfce4kbd-private instead and
	  replace MappingNotify event handler with a GdkKeymap
	  "keys-changed" callback. Remove support for key themes. Properly
	  stop startup notification when dialogs are plugged into
	  xfce4-settings-manager (Bug #4492). po/*: Update translation
	  files.

2008-10-31 14:51  jannis

	* configure.ac.in, defaults/defaults, po/POTFILES.in, po/am.po,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/da.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/id.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts-dialog.h,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.h,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfce-shortcuts-provider.c,
	  settings-dialogs/xfce-shortcuts-provider.h,
	  settings-dialogs/xfwm4-settings.c, src/Makefile.am,
	  src/event_filter.c, src/events.c, src/keyboard.c, src/keyboard.h,
	  src/screen.h, src/settings.c, themes/Makefile.am:
	  Add support for keyboard shortcuts: Remove experimental shortcuts
	  code and add dependency on libxfce4kbd-private instead and
	  replace MappingNotify event handler with a GdkKeymap
	  "keys-changed" callback. Remove support for key themes. Properly
	  stop startup notification when dialogs are plugged into
	  xfce4-settings-manager. Update translation files.

2008-10-31 10:12  jannis

	* settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  This is an attempt to improve the titles of the settings dialogs.
	  GenericName and X-XfceSettingsName have been removed.

2008-10-31 10:11  piarres

	* po/ChangeLog, po/eu.po:
	  xfwm4 Basque translation update

2008-10-30 22:39  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c, src/client.c:
	  * settings-dialogs/xfwm4-settings.c, src/client.c: Fix compiler
	  warnings

2008-10-30 22:15  olivier

	* ChangeLog, NEWS, src/client.c, src/client.h, src/events.c,
	  themes/default.keys/keythemerc:
	  * src/events.c, src/client.c, src/client.h,
	  themes/default.keys/keythemerc: Simplify management of transients

2008-10-30 18:10  olivier

	* ChangeLog, src/default_icon.png, src/default_icon.svg,
	  src/inline-default-icon.h:
	  * src/default_icon.svg, src/default_icon.svg,
	  src/inline-default-icon.h: Change default icon.

2008-10-30 17:49  olivier

	* ChangeLog, src/client.c, src/main.c:
	  * src/client.c: Fix minimize all other windows, src/main.c: Fix
	  compilation warning.

2008-10-30 11:10  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-30 08:44  olivier

	* NEWS, po/POTFILES.in:
	  Rework the window menu to improve consistency with libwnck menu
	  (Bug #4531)

2008-10-29 23:10  olivier

	* ChangeLog, po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po, src/Makefile.am, src/default_icon.png,
	  src/inline-default-icon.h, src/inline-stock-maximize.h,
	  src/inline-stock-minimize.h, src/inline-stock-rolldown.h,
	  src/inline-stock-rollup.h, src/inline-stock-unmaximize.h,
	  src/main.c, src/menu.c, src/stock_icons.c, src/stock_icons.h,
	  src/stock_maximize.png, src/stock_minimize.png,
	  src/stock_rolldown.png, src/stock_rollup.png,
	  src/stock_unmaximize.png:
	  * src/inline-stock-rolldown.h, src/inline-stock-maximize.h,
	  src/inline-stock-unmaximize.h, src/menu.c, src/stock_icons.c,
	  src/stock_icons.h, src/inline-stock-minimize.h,
	  src/inline-default-icon.h, src/inline-stock-rollup.h, src/main.c,
	  src/Makefile.am: Rework the window menu to improve consistency
	  with libwnck menu (Bug #4531)

2008-10-28 23:17  maximilian

	* po/ChangeLog, po/de.po, po/es.po, po/id.po, po/sq.po:
	  Translations updates and additions HUGE

2008-10-28 12:36  olivier

	* ChangeLog, settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade:
	  * settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade: Fix wmteaks dialog
	  not setting the proper option for "raise_with_any_button".

2008-10-24 19:00  sas

	* po/hu.po:
	  [intl:hu] arch & other little fixes

2008-10-24 11:02  piarres

	* po/ChangeLog, po/eu.po:
	  xfwm Basque translation update

2008-10-23 19:02  sas

	* po/hu.po:
	  [intl:hu] little fixes

2008-10-23 16:52  jannis

	* settings-dialogs/xfwm4-settings.c:
	  Add missing entries for switching to workspaces 1-12 and to move
	  windows to these workspaces.

2008-10-22 20:10  olivier

	* ChangeLog, NEWS, src/client.c, src/client.h, src/display.c,
	  src/display.h, src/events.c, src/focus.c, src/focus.h,
	  src/hints.c, src/hints.h, src/misc.c, src/misc.h,
	  src/moveresize.c, src/netwm.c, src/netwm.h, src/screen.c,
	  src/screen.h, src/startup_notification.c, src/workspaces.c,
	  src/workspaces.h:
	  * src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/focus.c, src/focus.h, src/hints.c, src/hints.h,
	  src/misc.c, src/misc.h, src/moveresize.c, src/netwm.c,
	  src/netwm.h, src/screen.c, src/screen.h,
	  src/startup_notification.c, src/workspaces.c, src/workspaces.h:
	  Use "guint32" instead of Xlib's "Time".

2008-10-21 20:34  olivier

	* ChangeLog, src/client.c:
	  Trivial, advertise the correct function name in debug message.

2008-10-21 17:49  maximilian

	* po/ChangeLog, po/fr.po:
	  Translation updates for fr, ja, tr

2008-10-21 09:14  olivier

	* ChangeLog, src/client.c:
	  Fix gravity broken by previous commit.

2008-10-21 05:23  olivier

	* ChangeLog, src/events.c:
	  Restore a line removed by mistake in last commit.

2008-10-20 22:32  majkl

	* po/cs.po:
	  Czech translation updated

2008-10-20 21:26  olivier

	* ChangeLog, src/client.c, src/client.h, src/events.c, src/misc.c,
	  src/netwm.c:
	  Improve support for NET_MOVERESIZE_WINDOW by reusing most of the
	  code from configureRequest handler, remove duplicate declaration
	  in the code.

2008-10-20 21:02  lars

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation update

2008-10-20 20:41  maximilian

	* po/ChangeLog, po/ca.po, po/de.po, po/fr.po, po/ja.po:
	  Translation updates for many packages in many languages, is this
	  message too vague

2008-10-20 17:14  jannis

	* settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  Use 'Reset to Defaults' instead of the GTK_STOCK_REVERT_TO_SAVED
	  text for the shortcuts reset button.

2008-10-20 16:59  jannis

	* settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts-dialog.h,
	  settings-dialogs/frap-shortcuts-provider.c,
	  settings-dialogs/frap-shortcuts-provider.h,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.h,
	  settings-dialogs/xfce-shortcuts-provider.c,
	  settings-dialogs/xfce-shortcuts-provider.h,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  Implement shortcut editing.

2008-10-20 12:40  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-19 21:46  olivier

	* ChangeLog, NEWS, README, src/display.c, src/display.h,
	  src/events.c, src/hints.c, src/netwm.c, src/netwm.h:
	  Add support for NET_MOVERESIZE_WINDOW

2008-10-18 21:13  olivier

	* ChangeLog, po/ChangeLog, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade:
	  Add disambiguations to settings dialogs (Bug #4484, patch from
	  alexander.toresson@gmail.com)

2008-10-18 15:50  olivier

	* ChangeLog, src/client.c, src/events.c, src/hints.c, src/misc.c,
	  src/misc.h, src/netwm.c:
	  Add routine to get the name of a given atom, add client windows
	  to save set to avoid loosing all windows in case of crash,
	  display name of unsupported net_wm_state atom, clean-up of list
	  of supported atoms, add hooks for debugging purpose.

2008-10-18 14:25  maximilian

	* po/ChangeLog, po/da.po, po/es.po, po/fr.po, po/id.po:
	  Translation updates and additions for many packages in es, fr,
	  id, ja, nb_NO and tr

2008-10-17 13:10  olivier

	* ChangeLog, NEWS, configure.ac.in, src/events.c, src/session.c:
	  Add support for restart style SmRestartImmediately now that
	  xfce4-session supports it (requires libxfcegui4 from r28280 or
	  later).

2008-10-16 08:04  olivier

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  Fix compilation with glib-2.10, there is no
	  g_hash_table_get_keys() nor constructed method for GObjects in
	  glib-2.10.

2008-10-16 01:09  jannis

	* settings-dialogs/xfwm4-settings.h:
	  Add missing header file for the main settings dialog.

2008-10-15 22:14  jannis

	* settings-dialogs/frap-shortcuts.c.bak:
	  Remove backup file.

2008-10-15 22:13  jannis

	* settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts-dialog.h,
	  settings-dialogs/frap-shortcuts-provider.c,
	  settings-dialogs/frap-shortcuts-provider.h,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.c.bak,
	  settings-dialogs/frap-shortcuts.h,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  GObject-ify the main settings dialog. Update frap shortcuts
	  files. Tweak the settings dialog UI a bit. Next task will be
	  support for shortcuts.

2008-10-14 08:43  stephan

	* configure.ac.in:
	  Bump version number and dependency requirements

2008-10-14 08:04  olivier

	* ChangeLog, NEWS, po/POTFILES.in, settings-dialogs/Makefile.am,
	  src/client.c, src/events.c, src/placement.c:
	  * settings-dialogs/Makefile.am: Include monitor-icon.h,
	  (corsac@debian.org), src/events.c: Fix compiler warning,
	  src/placement.c: Likewise, src/client.c: Likewise, fix
	  uninitialized access in full debug build (corsac@debian.org),
	  po/POTFILES.in: Add new source to the list of files to translate
	  (corsac@debian.org)

2008-10-13 20:34  olivier

	* ChangeLog, src/placement.c:
	  Improve centering of windows with Xinerama.

2008-10-11 23:08  olivier

	* ChangeLog, settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-settings.c:
	  Staticalisation

2008-10-11 10:40  olivier

	* ChangeLog, NEWS:
	  Update NEWS file, sanitize ChangeLog (won't be automatically
	  regenerated again, too much hassle)

2008-10-09 16:38  olivier

	* src/moveresize.c:
	  Clear partial maximization upon move

2008-10-09 13:06  olivier

	* configure.ac.in:
	  use a dot instead of a dash otherwise make rpm fails ('-' is not
	  allowed in version)

2008-10-09 12:59  olivier

	* configure.ac.in:
	  Adopt the same versioning scheme as other xfce packages

2008-10-09 05:01  sas

	* po/hu.po:
	  [intl:hu] little fixes

2008-10-08 13:44  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation.

2008-10-07 19:39  olivier

	* src/client.c:
	  Rework visual depth selection of the frame window (Bug #4452)

2008-10-07 19:36  olivier

	* defaults/defaults, po/xfwm4.pot,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade, src/client.c,
	  src/settings.c, src/settings.h:
	  Add new user option to set/unset repeat blinking of urgent
	  windows (Bug #4440)

2008-10-07 12:39  jannis

	* settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in:
	  Add X-XfceHelpFile to settings dialog .desktop files.

2008-10-06 19:48  olivier

	* NEWS, defaults/defaults, src/compositor.c, src/settings.c,
	  src/settings.h, themes/default/themerc:
	  Make shadow opacity configurable (bug #4447)

2008-10-05 22:01  olivier

	* src/client.c, src/client.h, src/events.c, src/workspaces.c:
	  Small refactoring of the source, use the term withdraw instead of
	  hide to avoid confusion with iconification

2008-10-05 19:29  jannis

	* configure.ac.in:
	  Fix required xfconf version (use latest SVN revision).

2008-10-05 17:52  maximilian

	* po/ChangeLog, po/de.po, po/fr.po, po/id.po:
	  Updated and added Estonian translations for the libxfcegui4,
	  terminal and mousepad trunk modules and libxfce4util branch 4.4
	  module Updated Indonesian translations for the xfce-utils,
	  xfce4-mixer, xarchiver, xfwm4, xfcalendar and xfdesktop trunk
	  modules Updated and added Spanish translations for the
	  xfce4-appfinder, squeeze, libexo, xfce-utils, libxfce4menu,
	  xfce4-session, xfce4-mixer, libxfce4util, libxfce4ui,
	  xfce4-icon-theme, thunar, libxfcegui4, xfce4-panel, xfdesktop,
	  xfce4-trigger-launcher, terminal, mousepad and xfmedia trunk
	  modules Updated Russian translation for the xarchiver, libexo and
	  libxfcegui4 trunk modules Updated and added German translation of
	  the xfce4-settings and xfwm4 trunk modules Updated Japanese
	  translation for the thunar module Updated Sinhalese translation
	  for the libxfcegui4 trunk module

2008-10-05 13:29  majkl

	* po/cs.po:
	  Czech translation updated (Remaining duplicated hotkeys fixed)

2008-10-05 12:55  majkl

	* po/cs.po:
	  Czech translation updated (duplicated shortcuts fixed)

2008-10-05 12:27  jannis

	* configure.ac.in, settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  Use updated Xfconf API, tweak workspace settings dialog, fix
	  plugging.
	  
	  Add xfconf_minimum_version to the configure script. Depend on
	  0.1.0svn-r27376 for the updated channel API. Use
	  xfconf_channel_get() instead of xfconf_channel_new(). Quit the
	  application when the GtkPlug is destroyed. Tweak the settings
	  dialog so that the workspace margin spin buttons stick to the
	  monitor icon and the monitor icon is always centered inside the
	  frame.

2008-10-04 21:34  majkl

	* po/cs.po:
	  Czech translation updated

2008-10-03 20:46  olivier

	* src/client.c, src/client.h:
	  Rework the blinking of windows to make it less boring and
	  hopefully more noticeable

2008-10-03 14:31  stephan

	* helper-dialog/helper-dialog.c, settings-dialogs/Makefile.am,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c, src/client.c, src/cycle.c,
	  src/terminate.c:
	  Fix compiler warnings

2008-10-03 08:24  olivier

	* NEWS, defaults/defaults, settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade, src/cycle.c,
	  src/settings.c, src/settings.h:
	  Make wire frame while cycling user configurable (Bug #4443)

2008-10-02 21:27  olivier

	* settings-dialogs/Makefile.am, settings-dialogs/monitor-icon.h,
	  settings-dialogs/monitor-icon.png,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  Add margins configuration in workspace settings, patch by Mike
	  Massonnet <mike.massonnet@gmail.com> (Bug #4438)

2008-10-02 10:58  olivier

	* src/events.c:
	  Loosen the rule that prevents an application from iconifying
	  itself when skip_taskbar is set (Bug #4434)

2008-09-30 16:37  olivier

	* src/netwm.c, src/placement.c:
	  Fix NET_WM_STATE claiming maximization vertical and horizontal
	  even if only horizontal of vertical is actually set (Should fix
	  bug #3969)

2008-09-30 13:21  olivier

	* helper-dialog/helper-dialog.c, src/terminate.c, src/terminate.h:
	  Give credit to metacity implementation, add svn:keywords property

2008-09-30 10:58  piarres

	* po/eu.po:
	  BAsque translation update

2008-09-30 09:02  olivier

	* helper-dialog/helper-dialog.c:
	  Add xid to reply (might be useful for debugging later on)

2008-09-30 09:02  olivier

	* src/netwm.c:
	  Make sure the passed timestamp is not zero

2008-09-29 22:05  olivier

	* helper-dialog/Makefile.am, helper-dialog/helper-dialog.c,
	  po/POTFILES.in, po/xfwm4.pot, src/Makefile.am:
	  Improve dialog

2008-09-29 21:41  olivier

	* helper-dialog/.deps, helper-dialog/.libs, helper-dialog/Makefile,
	  helper-dialog/Makefile.in, helper-dialog/helper-dialog:
	  Remove generated files

2008-09-29 21:40  olivier

	* Makefile.am, configure.ac.in, helper-dialog, helper-dialog/.deps,
	  helper-dialog/.deps/helper-dialog.Po,
	  helper-dialog/.deps/helper_dialog-helper-dialog.Po,
	  helper-dialog/.deps/xfwm4-helper-dialog.Po, helper-dialog/.libs,
	  helper-dialog/Makefile, helper-dialog/Makefile.am,
	  helper-dialog/Makefile.in, helper-dialog/helper-dialog,
	  helper-dialog/helper-dialog.c, src/Makefile.am, src/client.c,
	  src/client.h, src/netwm.c, src/terminate.c, src/terminate.h:
	  Add dialog (not finished yet)

2008-09-29 12:42  olivier

	* src/client.c, src/focus.c, src/netwm.c:
	  Reorder NET_WM_STATE update status

2008-09-29 06:19  kelnos

	* settings-dialogs/workspace-settings.c:
	  fix typo that causes new workspace name to be shown incorrectly
	  in the dialog

2008-09-28 17:29  olivier

	* src/client.c:
	  Fix name change broken by one of last commits

2008-09-25 20:52  olivier

	* themes/default/themerc:
	  Place title 1 pixel higher

2008-09-25 15:40  olivier

	* src/client.c, src/client.h, src/events.c, src/netwm.c,
	  src/netwm.h:
	  Fix ping/pong

2008-09-25 11:55  olivier

	* src/client.c, src/client.h, src/hints.c, src/hints.h,
	  src/netwm.c:
	  Kill client who do not reply a ping message - TODO: Implement a
	  helper application to display a daliog asking user's confirmation
	  before actually killing the application

2008-09-24 21:36  olivier

	* src/client.c, src/client.h, src/events.c, src/hints.c,
	  src/hints.h, src/netwm.c, src/netwm.h:
	  Implement NET_WM_PING protocol

2008-09-22 22:12  olivier

	* settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  Update glade files to set page_size to 0

2008-09-22 21:52  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/hints.c, src/hints.h:
	  Add support for NET_WM_PID to be able to kill apps (when not
	  responding to NET_WM_PING), and various small clean up

2008-09-22 08:54  olivier

	* settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade:
	  Add an option to set default window placement w/out smart
	  placement missing from the wmtweaks GUI

2008-09-18 09:12  olivier

	* settings-dialogs/tweaks-settings.c:
	  Add an explanatory comment

2008-09-18 09:10  olivier

	* settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade:
	  Actually, focus stealing prevention is not related to the way to
	  react when a window raises itself on another workspace

2008-09-17 09:41  olivier

	* ChangeLog, NEWS:
	  Update ChangeLog, NEWS

2008-09-16 15:42  olivier

	* defaults/defaults:
	  ...actually even more sensitive w/out quotes...

2008-09-16 15:23  olivier

	* defaults/defaults:
	  Set what seems to be sensible defaults

2008-09-16 12:52  olivier

	* settings-dialogs/tweaks-settings.c:
	  Fix initialization

2008-09-16 12:18  olivier

	* settings-dialogs/tweaks-settings.c:
	  Allow any modifier to be used for easy move, including disabling
	  the functionality al ltogether (fixes a regression introduced in
	  4.6)

2008-09-16 11:29  olivier

	* src/hints.c:
	  Add the new supported atoms to the list

2008-09-14 21:15  jannis

	* ChangeLog, settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in:
	  * settings-dialogs/*.desktop.in: Add X-XfcePluggable=true to
	  desktop files of the settings dialogs.

2008-09-14 20:25  jannis

	* ChangeLog:
	  Doh.

2008-09-14 20:19  jannis

	* ChangeLog, settings-dialogs/tweaks-settings.c:
	  * settings-dialogs/tweaks-settings.c: Add copyright nothint.

2008-09-14 20:14  jannis

	* ChangeLog:
	  * settings-dialogs/*.{c,glade}: Add embedding support to all
	  xfwm4 settings dialogs.

2008-09-14 20:14  jannis

	* settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  Add embedding support to all xfwm4 settings dialogs.

2008-09-14 14:53  olivier

	* settings-dialogs/xfwm4-settings.c:
	  Sort theme alphabetically (Fix bug #4318)

2008-09-14 10:20  kelnos

	* settings-dialogs/Makefile.am,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  implement workspace name changing

2008-09-14 10:19  kelnos

	* settings-dialogs/Makefile.am,
	  settings-dialogs/workspace-settings.c:
	  fix some minor nits

2008-09-12 08:48  olivier

	* src/client.c:
	  Do not change windows list order when showing desktop

2008-09-11 17:22  piarres

	* po/ChangeLog, po/eu.po:
	  xfwmn basque translation update

2008-09-11 06:17  olivier

	* src/placement.c:
	  Add warnings when auto-maximizing a window

2008-09-10 16:07  olivier

	* src/compositor.c:
	  Revert to the previous behaviour, do not allocate extents if the
	  window is not visible (Bug #4363)

2008-09-09 19:30  lars

	* po/LINGUAS:
	  

2008-09-09 19:29  lars

	* po/da.po:
	  

2008-09-09 19:28  lars

	* po/LINGUAS:
	  

2008-09-09 19:27  lars

	* po/LINGUAS:
	  

2008-09-09 08:44  olivier

	* themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg:
	  Sharpen bottom corners on the default theme

2008-09-09 07:38  maximilian

	* po/ChangeLog, po/fr.po, po/id.po:
	  Translations updates and new ones for trunk in es,fr,id

2008-09-08 21:06  stephan

	* configure.ac.in:
	  Update xfce library version requirements

2008-09-08 20:31  jannis

	* ChangeLog:
	  Fix ChangeLog indentation.

2008-09-08 20:24  jannis

	* ChangeLog, po/ChangeLog, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/xfwm4-dialog.glade:
	  * settings-dialogs/frap-shortcuts.c,
	  settings-dialog/frap-shortcuts-dialog.c: Synchronize latest
	  libfrap changes. * settings-dialogs/xfwm4-settings.c: Make
	  keyboard tab insensitive. Shortcuts based on xfconf have been
	  postponed to the first beta release and won't be available in the
	  alpha. * *.po, xfwm4.pot: Merge strings.

2008-09-07 21:59  jannis

	* ChangeLog, settings-dialogs/frap-shortcuts-dialog.c:
	  * settings-dialogs/frap-shortcuts-dialog.c: Update the dialog. It
	  now uses XfceTitledDialog as a parent and also displays the
	  partial shortcut while being entered - cool.

2008-09-07 21:20  jannis

	* ChangeLog, settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.h:
	  * settings-dialogs/frap-shortcuts.{c,h},
	  settings-dialogs/frap-shortcuts-dialog.c: Update to latest
	  libfrap version.

2008-09-07 17:04  jannis

	* ChangeLog, po/ChangeLog:
	  settings-dialogs/xfwm4-settings.c: Import utility functions and
	  the shortcut dialog from libfrap. Refactor the xfwm4 settings
	  dialog so that it makes use of them. The code should now work
	  better and be easier to read. * POTFILES.in: Add frap-shortcuts.c
	  and frap-shortcuts-dialog.c. * *.po, xfwm4.pot: Merge new
	  strings.

2008-09-07 17:02  jannis

	* ChangeLog, po/POTFILES.in, po/am.po, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts-dialog.h,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.h,
	  settings-dialogs/shortcut-dialog.c,
	  settings-dialogs/shortcut-dialog.h,
	  settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts.{c,h},
	  settings-dialogs/frap-shortcuts-dialog.{c,h},
	  settings-dialogs/xfwm4-settings.c: Import utility functions and
	  the shortcut dialog from libfrap. Refactor the xfwm4 settings
	  dialog so that it makes use of them. The code should now work
	  better and be easier to read.

2008-09-07 09:50  jannis

	* ChangeLog, settings-dialogs/shortcut-dialog.c:
	  * settings-dialogs/shortcut-dialog.c: Remove unused Display
	  variable.

2008-09-07 09:35  jannis

	* ChangeLog, settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/Xfwm4-settings.c: Remove unused function
	  declaration.

2008-09-06 21:01  kelnos

	* settings-dialogs/xfwm4-settings.c:
	  hook up missing wrap_workspaces and wrap_windows properties

2008-09-06 18:22  jannis

	* ChangeLog, configure.ac.in, po/xfwm4.pot,
	  settings-dialogs/xfwm4-settings.c:
	  * configure.ac.in: Add dependencies on dbus-1 and dbus-glib-1. *
	  settings-dialogs/xfwm4-settings.c: Add <dbus/dbus-glib.h>
	  include. \n

2008-09-06 14:47  jannis

	* ChangeLog, po/ChangeLog, po/POTFILES.in, po/am.po, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/Makefile.am, settings-dialogs/shortcut-dialog.c,
	  settings-dialogs/shortcut-dialog.h,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  * settings-dialogs/Makefile.am,
	  settings-dialogs/shortcut-dialog.{c,h}: Add (almost) the same
	  dialog for entering shortcuts as we have in xfce4-settings. *
	  settings-dialogs/xfwm4-settings.c: Implement the first part of
	  the xfwm4 keyboard shortcuts: Disable themes support, make
	  shortcuts editable, implement the "reset to defaults" feature,
	  handle 'property-changed' signal emitted by xfconf and allow for
	  interactive resolving of conflicts. Still missing: hard-coded
	  default shorcuts and the actual X event monitor for all
	  shortcuts. \n * POTFILES.in: Add shortcut-dialog.c. * *.po,
	  xfwm4.pot: Merge new strings.

2008-09-04 17:25  jannis

	* ChangeLog, autogen.sh:
	  * autogen.sh: Add git svn revision versioning support.

2008-09-01 02:01  sas

	* po/hu.po:
	  [intl:hu] xarchiver xfwm update, please dont use (Un)... format

2008-08-29 22:12  maximilian

	* po/ChangeLog, po/de.po, po/ko.po:
	  Updated various pending translations (German,Korean and Slovene)

2008-08-28 10:59  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation uypdate

2008-08-25 06:27  kelnos

	* po/POTFILES.in, po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po:
	  fix POTFILES.in, update-po

2008-08-25 06:20  kelnos

	* configure.ac.in, settings-dialogs/Makefile.am,
	  settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  consistent-ify the settings dialogs with those from
	  xfce4-settings

2008-08-24 16:03  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png,
	  themes/default/close-inactive.png,
	  themes/default/close-prelight.png,
	  themes/default/close-pressed.png, themes/default/hide-active.png,
	  themes/default/hide-inactive.png,
	  themes/default/hide-prelight.png,
	  themes/default/hide-pressed.png, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png,
	  themes/default/shade-inactive.png,
	  themes/default/shade-prelight.png,
	  themes/default/shade-pressed.png,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/stick-active.png,
	  themes/default/stick-inactive.png,
	  themes/default/stick-prelight.png,
	  themes/default/stick-pressed.png,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg:
	  Add a small light frame to enhance window limits.

2008-08-24 16:00  olivier

	* src/client.c, src/moveresize.c, src/placement.c:
	  Various small changes for win resize, do not automaximize
	  undecorated windows

2008-08-24 02:32  kelnos

	* settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade:
	  tweak wmtweaks and workspaces settings dialogs quite a bit
	  
	  make padding and spacing consistent with xfdesktop, use
	  XfceTitledDialog rather than XfceHeading, set header subtitle,
	  set window title correctly, set window icon correctly, add
	  keyboard accels to all controls, don't set window width (instead
	  force no horiz scrollbar)

2008-08-24 01:52  kelnos

	* settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c:
	  tweak main xfwm4 settings dialog quite a bit
	  
	  make padding and spacing consistent with xfdesktop, use
	  XfceTitledDialog rather than XfceHeading, set header subtitle,
	  set window title correctly, set window icon correctly, add
	  keyboard accels to all controls

2008-08-24 01:02  kelnos

	* settings-dialogs/Makefile.am,
	  settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in,
	  settings-dialogs/xfwm4-settings.desktop.in,
	  settings-dialogs/xfwm4-tweaks-settings.desktop.in,
	  settings-dialogs/xfwm4-workspace-settings.desktop.in:
	  rename the .desktop files to their old names; fix missing fields

2008-08-23 18:57  pollux

	* settings-dialogs/xfwm4-settings.desktop.in:
	  use the same casing and spelling as the tweaking dialog

2008-08-17 20:16  stephan

	* configure.ac.in:
	  Bump version number

2008-08-17 20:15  stephan

	* configure.ac.in:
	  Bump version number

2008-08-17 20:05  stephan

	* po/POTFILES.in, settings-dialogs/Makefile.am, src/compositor.c,
	  src/events.c:
	  Fix make distcheck

2008-08-15 20:56  olivier

	* src/client.c, src/compositor.c, src/compositor.h, src/events.c:
	  Rework the resize of windows to avoid hidden portions to become
	  visible, add a hook to update the compositor as relying on
	  configure notify introduces lags and flickers (Bug #4283)

2008-08-14 22:36  olivier

	* src/client.c, src/compositor.c, src/events.c, src/moveresize.c,
	  src/screen.h, src/xsync.c:
	  Fix XSync (apparently broken since the beginning), rework window
	  resize, rework shape notification in the compositor, trash the
	  decremental repaint timeout

2008-08-12 11:00  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2008-08-10 21:42  maximilian

	* po/ChangeLog, po/id.po, po/ko.po, po/pl.po:
	  Translations updated and added in Indonesian, Korean and Polish.

2008-08-09 22:54  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-inactive.png,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-inactive.png,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-inactive.png,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm:
	  Reduce title height of the default theme.

2008-08-09 22:52  olivier

	* src/compositor.c:
	  Adjust values of adaptative timeout

2008-08-09 22:32  olivier

	* src/compositor.c, src/screen.h:
	  Compositor: Implement some sort of an adaptative timeout
	  mechanism.

2008-08-09 15:43  olivier

	* src/compositor.c, src/display.h, src/screen.h:
	  Compositor: remove idle repaint, use only the timeout repaint
	  (should help iwith flickers induced by X window resize, bug
	  #4268), Manage timeout repaints per screen (instead of display).

2008-08-04 20:44  olivier

	* settings-dialogs/Makefile.in,
	  settings-dialogs/xfwm4-dialog_glade.h,
	  settings-dialogs/xfwm4-settings.desktop,
	  settings-dialogs/xfwm4-tweaks-dialog_glade.h,
	  settings-dialogs/xfwm4-tweaks-settings.desktop,
	  settings-dialogs/xfwm4-workspace-dialog_glade.h,
	  settings-dialogs/xfwm4-workspace-settings.desktop:
	  Remove generated files from source control

2008-08-04 20:28  olivier

	* Makefile.am, configure.ac.in, settings-dialogs,
	  settings-dialogs/Makefile.am, settings-dialogs/Makefile.in,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-dialog_glade.h,
	  settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-settings.desktop,
	  settings-dialogs/xfwm4-settings.desktop.in,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog_glade.h,
	  settings-dialogs/xfwm4-tweaks-settings.desktop,
	  settings-dialogs/xfwm4-tweaks-settings.desktop.in,
	  settings-dialogs/xfwm4-workspace-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog_glade.h,
	  settings-dialogs/xfwm4-workspace-settings.desktop,
	  settings-dialogs/xfwm4-workspace-settings.desktop.in,
	  src/Makefile.am, src/keyboard.c, src/keyboard.h, src/main.c,
	  src/menu.c, src/mypixmap.c, src/mypixmap.h, src/parserc.c,
	  src/parserc.h, src/screen.c, src/screen.h, src/settings.c,
	  src/settings.h:
	  Merge work from Stephan Arts <stephan@xfce.org> (Bug #4065)

2008-07-22 15:42  olivier

	* themes/default/themerc:
	  Increase buttons offset

2008-07-21 09:14  olivier

	* src/hints.c:
	  Fix segfault introduced with latest commit

2008-07-20 21:22  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/hints.c, src/hints.h, src/netwm.c,
	  src/stacking.c:
	  Add support for EWMH 1.4 NET_WM_USER_TIME_WINDOW property, use a
	  separate layer for fullscreen windows (Bug #3526).

2008-07-20 14:50  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/left-active.png, themes/default/left-active.svg,
	  themes/default/left-active.xpm, themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg:
	  Update themes

2008-07-18 19:19  alnokta

	* po/ar.po:
	  Update Arabic translations

2008-07-15 23:12  omaciel

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-07-15 15:12  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-07-14 07:12  mvd

	* po/uk.po:
	  Update Ukrainian translation

2008-07-13 12:11  majkl

	* po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/id.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated POT and PO files: New strings were added. Czech
	  translation file updated.

2008-07-07 08:09  olivier

	* src/menu.c:
	  Set monitor when positionning menu (Bug #4162)

2008-06-26 22:09  maximilian

	* po/ChangeLog, po/gl.po:
	  Translations added and updated for most trunk packages (gl)

2008-06-25 11:57  olivier

	* src/events.c:
	  Release events prior to opening the gtk menu to avoid a deadlock

2008-06-22 10:57  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/id.po:
	  update-po

2008-06-22 08:54  maximilian

	* po/ChangeLog, po/sk.po:
	  xfwm4 Slovak translation update

2008-06-21 22:15  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c:
	  Add missing bits of patch from bug #3595

2008-06-21 15:17  olivier

	* src/client.c, src/client.h, src/events.c, src/menu.c, src/menu.h,
	  src/netwm.c, src/netwm.h:
	  Rework the window menu, add more actions (above/normal/below,
	  fullscreen/un-fullscreen)

2008-06-19 07:18  olivier

	* src/client.c, src/client.h, src/focus.c, src/settings.c:
	  Make focused opacity more efficient (although much simpler, but I
	  don't really like this feture anyway)

2008-06-18 20:43  olivier

	* src/events.c, src/focus.c, src/netwm.c, src/netwm.h:
	  Rework focus transitioning

2008-06-17 21:39  olivier

	* src/events.c:
	  Small code reorg

2008-06-16 21:46  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-active.xpm,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg, themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg, themes/kokodi/README,
	  themes/kokodi/bottom-active.png, themes/kokodi/bottom-active.svg,
	  themes/kokodi/bottom-active.xpm,
	  themes/kokodi/bottom-inactive.png,
	  themes/kokodi/bottom-inactive.svg,
	  themes/kokodi/bottom-inactive.xpm,
	  themes/kokodi/bottom-left-active.png,
	  themes/kokodi/bottom-left-active.svg,
	  themes/kokodi/bottom-left-active.xpm,
	  themes/kokodi/bottom-left-inactive.png,
	  themes/kokodi/bottom-left-inactive.svg,
	  themes/kokodi/bottom-left-inactive.xpm,
	  themes/kokodi/bottom-right-active.png,
	  themes/kokodi/bottom-right-active.svg,
	  themes/kokodi/bottom-right-active.xpm,
	  themes/kokodi/bottom-right-inactive.png,
	  themes/kokodi/bottom-right-inactive.svg,
	  themes/kokodi/bottom-right-inactive.xpm,
	  themes/kokodi/close-active.png, themes/kokodi/close-active.svg,
	  themes/kokodi/close-active.xpm, themes/kokodi/close-inactive.png,
	  themes/kokodi/close-inactive.svg,
	  themes/kokodi/close-inactive.xpm,
	  themes/kokodi/close-prelight.png,
	  themes/kokodi/close-prelight.svg,
	  themes/kokodi/close-prelight.xpm,
	  themes/kokodi/close-pressed.png, themes/kokodi/close-pressed.svg,
	  themes/kokodi/close-pressed.xpm, themes/kokodi/hide-active.png,
	  themes/kokodi/hide-active.svg, themes/kokodi/hide-active.xpm,
	  themes/kokodi/hide-inactive.png, themes/kokodi/hide-inactive.svg,
	  themes/kokodi/hide-inactive.xpm, themes/kokodi/hide-prelight.png,
	  themes/kokodi/hide-prelight.svg, themes/kokodi/hide-prelight.xpm,
	  themes/kokodi/hide-pressed.png, themes/kokodi/hide-pressed.svg,
	  themes/kokodi/hide-pressed.xpm, themes/kokodi/left-active.png,
	  themes/kokodi/left-active.svg, themes/kokodi/left-active.xpm,
	  themes/kokodi/left-inactive.png, themes/kokodi/left-inactive.svg,
	  themes/kokodi/left-inactive.xpm,
	  themes/kokodi/maximize-active.png,
	  themes/kokodi/maximize-active.svg,
	  themes/kokodi/maximize-active.xpm,
	  themes/kokodi/maximize-inactive.png,
	  themes/kokodi/maximize-inactive.svg,
	  themes/kokodi/maximize-inactive.xpm,
	  themes/kokodi/maximize-prelight.png,
	  themes/kokodi/maximize-prelight.svg,
	  themes/kokodi/maximize-prelight.xpm,
	  themes/kokodi/maximize-pressed.png,
	  themes/kokodi/maximize-pressed.svg,
	  themes/kokodi/maximize-pressed.xpm,
	  themes/kokodi/maximize-toggled-active.png,
	  themes/kokodi/maximize-toggled-active.svg,
	  themes/kokodi/maximize-toggled-active.xpm,
	  themes/kokodi/maximize-toggled-inactive.png,
	  themes/kokodi/maximize-toggled-inactive.svg,
	  themes/kokodi/maximize-toggled-inactive.xpm,
	  themes/kokodi/maximize-toggled-prelight.png,
	  themes/kokodi/maximize-toggled-prelight.svg,
	  themes/kokodi/maximize-toggled-prelight.xpm,
	  themes/kokodi/maximize-toggled-pressed.png,
	  themes/kokodi/maximize-toggled-pressed.svg,
	  themes/kokodi/maximize-toggled-pressed.xpm,
	  themes/kokodi/menu-active.png, themes/kokodi/menu-active.svg,
	  themes/kokodi/menu-active.xpm, themes/kokodi/menu-inactive.png,
	  themes/kokodi/menu-inactive.svg, themes/kokodi/menu-inactive.xpm,
	  themes/kokodi/menu-prelight.png, themes/kokodi/menu-prelight.svg,
	  themes/kokodi/menu-prelight.xpm, themes/kokodi/menu-pressed.png,
	  themes/kokodi/menu-pressed.svg, themes/kokodi/menu-pressed.xpm,
	  themes/kokodi/right-active.png, themes/kokodi/right-active.svg,
	  themes/kokodi/right-active.xpm, themes/kokodi/right-inactive.png,
	  themes/kokodi/right-inactive.svg,
	  themes/kokodi/right-inactive.xpm, themes/kokodi/shade-active.png,
	  themes/kokodi/shade-active.svg, themes/kokodi/shade-active.xpm,
	  themes/kokodi/shade-inactive.png,
	  themes/kokodi/shade-inactive.svg,
	  themes/kokodi/shade-inactive.xpm,
	  themes/kokodi/shade-prelight.png,
	  themes/kokodi/shade-prelight.svg,
	  themes/kokodi/shade-prelight.xpm,
	  themes/kokodi/shade-pressed.png, themes/kokodi/shade-pressed.svg,
	  themes/kokodi/shade-pressed.xpm,
	  themes/kokodi/shade-toggled-active.png,
	  themes/kokodi/shade-toggled-active.svg,
	  themes/kokodi/shade-toggled-active.xpm,
	  themes/kokodi/shade-toggled-inactive.png,
	  themes/kokodi/shade-toggled-inactive.svg,
	  themes/kokodi/shade-toggled-inactive.xpm,
	  themes/kokodi/shade-toggled-prelight.png,
	  themes/kokodi/shade-toggled-prelight.svg,
	  themes/kokodi/shade-toggled-prelight.xpm,
	  themes/kokodi/shade-toggled-pressed.png,
	  themes/kokodi/shade-toggled-pressed.svg,
	  themes/kokodi/shade-toggled-pressed.xpm,
	  themes/kokodi/stick-active.png, themes/kokodi/stick-active.svg,
	  themes/kokodi/stick-active.xpm, themes/kokodi/stick-inactive.png,
	  themes/kokodi/stick-inactive.svg,
	  themes/kokodi/stick-inactive.xpm,
	  themes/kokodi/stick-prelight.png,
	  themes/kokodi/stick-prelight.svg,
	  themes/kokodi/stick-prelight.xpm,
	  themes/kokodi/stick-pressed.png, themes/kokodi/stick-pressed.svg,
	  themes/kokodi/stick-pressed.xpm,
	  themes/kokodi/stick-toggled-active.png,
	  themes/kokodi/stick-toggled-active.svg,
	  themes/kokodi/stick-toggled-active.xpm,
	  themes/kokodi/stick-toggled-inactive.png,
	  themes/kokodi/stick-toggled-inactive.svg,
	  themes/kokodi/stick-toggled-inactive.xpm,
	  themes/kokodi/stick-toggled-prelight.png,
	  themes/kokodi/stick-toggled-prelight.svg,
	  themes/kokodi/stick-toggled-prelight.xpm,
	  themes/kokodi/stick-toggled-pressed.png,
	  themes/kokodi/stick-toggled-pressed.svg,
	  themes/kokodi/stick-toggled-pressed.xpm, themes/kokodi/themerc,
	  themes/kokodi/title-1-active.png,
	  themes/kokodi/title-1-active.svg,
	  themes/kokodi/title-1-active.xpm,
	  themes/kokodi/title-1-inactive.png,
	  themes/kokodi/title-1-inactive.svg,
	  themes/kokodi/title-1-inactive.xpm,
	  themes/kokodi/title-2-active.png,
	  themes/kokodi/title-2-active.svg,
	  themes/kokodi/title-2-active.xpm,
	  themes/kokodi/title-2-inactive.png,
	  themes/kokodi/title-2-inactive.svg,
	  themes/kokodi/title-2-inactive.xpm,
	  themes/kokodi/title-3-active.png,
	  themes/kokodi/title-3-active.svg,
	  themes/kokodi/title-3-active.xpm,
	  themes/kokodi/title-3-inactive.png,
	  themes/kokodi/title-3-inactive.svg,
	  themes/kokodi/title-3-inactive.xpm,
	  themes/kokodi/title-4-active.png,
	  themes/kokodi/title-4-active.svg,
	  themes/kokodi/title-4-active.xpm,
	  themes/kokodi/title-4-inactive.png,
	  themes/kokodi/title-4-inactive.svg,
	  themes/kokodi/title-4-inactive.xpm,
	  themes/kokodi/title-5-active.png,
	  themes/kokodi/title-5-active.svg,
	  themes/kokodi/title-5-active.xpm,
	  themes/kokodi/title-5-inactive.png,
	  themes/kokodi/title-5-inactive.svg,
	  themes/kokodi/title-5-inactive.xpm,
	  themes/kokodi/top-left-active.png,
	  themes/kokodi/top-left-active.svg,
	  themes/kokodi/top-left-active.xpm,
	  themes/kokodi/top-left-inactive.png,
	  themes/kokodi/top-left-inactive.svg,
	  themes/kokodi/top-left-inactive.xpm,
	  themes/kokodi/top-right-active.png,
	  themes/kokodi/top-right-active.svg,
	  themes/kokodi/top-right-active.xpm,
	  themes/kokodi/top-right-inactive.png,
	  themes/kokodi/top-right-inactive.svg,
	  themes/kokodi/top-right-inactive.xpm:
	  Update themes

2008-06-16 21:17  olivier

	* src/client.c, src/netwm.c, src/workspaces.c:
	  Remove workarounds for older bugs, fixes side effects with Tk
	  apps stealing focus on pointer ungrab (Bug #4154)

2008-06-15 21:18  olivier

	* src/events.c:
	  Use gdk/gtk+ callback mechanism to be notified of screen/monitor
	  changes, add support for XRandr 1.2

2008-06-15 11:30  olivier

	* src/focus.c:
	  Set focus to the fallback window when relying only on TakeFocus
	  to avoid a race condition with the client application

2008-06-05 21:30  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/left-active.png, themes/default/left-active.svg,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg:
	  Small theme fix

2008-06-05 21:29  olivier

	* src/client.c, src/cycle.c, src/events.c, src/focus.c,
	  src/focus.h, src/moveresize.c, src/stacking.c, src/stacking.h:
	  Move iconified windows to the end of the focus ring, improve
	  focus management

2008-06-03 21:26  olivier

	* src/events.c, src/moveresize.c, src/netwm.c:
	  Cleanup

2008-06-03 20:43  olivier

	* themes/default/README, themes/kokodi/README:
	  Update themes README

2008-06-03 20:39  olivier

	* themes/default/Makefile.am, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-active.xpm,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg, themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm:
	  Huh, the wrong stuff was commited yesterday...

2008-06-02 21:40  olivier

	* themes/kokodi/menu-prelight.png, themes/kokodi/menu-pressed.png:
	  Add missing bits

2008-06-02 21:40  olivier

	* themes/kokodi/bottom-active.png, themes/kokodi/bottom-active.svg,
	  themes/kokodi/bottom-inactive.png,
	  themes/kokodi/bottom-inactive.svg,
	  themes/kokodi/bottom-left-active.png,
	  themes/kokodi/bottom-left-active.svg,
	  themes/kokodi/bottom-left-inactive.png,
	  themes/kokodi/bottom-left-inactive.svg,
	  themes/kokodi/bottom-right-active.png,
	  themes/kokodi/bottom-right-active.svg,
	  themes/kokodi/bottom-right-inactive.png,
	  themes/kokodi/bottom-right-inactive.svg,
	  themes/kokodi/close-active.png, themes/kokodi/close-inactive.png,
	  themes/kokodi/close-prelight.png,
	  themes/kokodi/close-pressed.png, themes/kokodi/hide-active.png,
	  themes/kokodi/hide-inactive.png, themes/kokodi/hide-prelight.png,
	  themes/kokodi/hide-pressed.png, themes/kokodi/left-active.png,
	  themes/kokodi/left-active.svg, themes/kokodi/left-inactive.png,
	  themes/kokodi/left-inactive.svg,
	  themes/kokodi/maximize-active.png,
	  themes/kokodi/maximize-inactive.png,
	  themes/kokodi/maximize-prelight.png,
	  themes/kokodi/maximize-pressed.png,
	  themes/kokodi/maximize-toggled-active.png,
	  themes/kokodi/maximize-toggled-inactive.png,
	  themes/kokodi/maximize-toggled-prelight.png,
	  themes/kokodi/maximize-toggled-pressed.png,
	  themes/kokodi/menu-active.png, themes/kokodi/menu-inactive.png,
	  themes/kokodi/right-active.png, themes/kokodi/right-active.svg,
	  themes/kokodi/right-inactive.png,
	  themes/kokodi/right-inactive.svg, themes/kokodi/shade-active.png,
	  themes/kokodi/shade-inactive.png,
	  themes/kokodi/shade-prelight.png,
	  themes/kokodi/shade-pressed.png,
	  themes/kokodi/shade-toggled-active.png,
	  themes/kokodi/shade-toggled-inactive.png,
	  themes/kokodi/shade-toggled-prelight.png,
	  themes/kokodi/shade-toggled-pressed.png,
	  themes/kokodi/stick-active.png, themes/kokodi/stick-inactive.png,
	  themes/kokodi/stick-prelight.png,
	  themes/kokodi/stick-pressed.png,
	  themes/kokodi/stick-toggled-active.png,
	  themes/kokodi/stick-toggled-inactive.png,
	  themes/kokodi/stick-toggled-prelight.png,
	  themes/kokodi/stick-toggled-pressed.png,
	  themes/kokodi/title-1-active.png,
	  themes/kokodi/title-1-inactive.png,
	  themes/kokodi/title-2-active.png,
	  themes/kokodi/title-2-inactive.png,
	  themes/kokodi/title-3-active.png,
	  themes/kokodi/title-3-inactive.png,
	  themes/kokodi/title-4-active.png,
	  themes/kokodi/title-4-inactive.png,
	  themes/kokodi/title-5-active.png,
	  themes/kokodi/title-5-inactive.png,
	  themes/kokodi/top-left-active.png,
	  themes/kokodi/top-left-inactive.png,
	  themes/kokodi/top-right-active.png,
	  themes/kokodi/top-right-inactive.png:
	  Fix svg

2008-06-02 21:07  olivier

	* themes/default/menu-pressed.png:
	  Add missing bits

2008-06-02 21:07  olivier

	* themes/default/menu-prelight.png:
	  Add missing bits

2008-06-02 21:00  olivier

	* themes/kokodi, themes/kokodi/Makefile.am, themes/kokodi/README,
	  themes/kokodi/bottom-active.png, themes/kokodi/bottom-active.svg,
	  themes/kokodi/bottom-active.xpm,
	  themes/kokodi/bottom-inactive.png,
	  themes/kokodi/bottom-inactive.svg,
	  themes/kokodi/bottom-inactive.xpm,
	  themes/kokodi/bottom-left-active.png,
	  themes/kokodi/bottom-left-active.svg,
	  themes/kokodi/bottom-left-active.xpm,
	  themes/kokodi/bottom-left-inactive.png,
	  themes/kokodi/bottom-left-inactive.svg,
	  themes/kokodi/bottom-left-inactive.xpm,
	  themes/kokodi/bottom-right-active.png,
	  themes/kokodi/bottom-right-active.svg,
	  themes/kokodi/bottom-right-active.xpm,
	  themes/kokodi/bottom-right-inactive.png,
	  themes/kokodi/bottom-right-inactive.svg,
	  themes/kokodi/bottom-right-inactive.xpm,
	  themes/kokodi/close-active.png, themes/kokodi/close-active.svg,
	  themes/kokodi/close-active.xpm, themes/kokodi/close-inactive.png,
	  themes/kokodi/close-inactive.svg,
	  themes/kokodi/close-inactive.xpm,
	  themes/kokodi/close-prelight.png,
	  themes/kokodi/close-prelight.svg,
	  themes/kokodi/close-prelight.xpm,
	  themes/kokodi/close-pressed.png, themes/kokodi/close-pressed.svg,
	  themes/kokodi/close-pressed.xpm, themes/kokodi/hide-active.png,
	  themes/kokodi/hide-active.svg, themes/kokodi/hide-active.xpm,
	  themes/kokodi/hide-inactive.png, themes/kokodi/hide-inactive.svg,
	  themes/kokodi/hide-inactive.xpm, themes/kokodi/hide-prelight.png,
	  themes/kokodi/hide-prelight.svg, themes/kokodi/hide-prelight.xpm,
	  themes/kokodi/hide-pressed.png, themes/kokodi/hide-pressed.svg,
	  themes/kokodi/hide-pressed.xpm, themes/kokodi/left-active.png,
	  themes/kokodi/left-active.svg, themes/kokodi/left-active.xpm,
	  themes/kokodi/left-inactive.png, themes/kokodi/left-inactive.svg,
	  themes/kokodi/left-inactive.xpm,
	  themes/kokodi/maximize-active.png,
	  themes/kokodi/maximize-active.svg,
	  themes/kokodi/maximize-active.xpm,
	  themes/kokodi/maximize-inactive.png,
	  themes/kokodi/maximize-inactive.svg,
	  themes/kokodi/maximize-inactive.xpm,
	  themes/kokodi/maximize-prelight.png,
	  themes/kokodi/maximize-prelight.svg,
	  themes/kokodi/maximize-prelight.xpm,
	  themes/kokodi/maximize-pressed.png,
	  themes/kokodi/maximize-pressed.svg,
	  themes/kokodi/maximize-pressed.xpm,
	  themes/kokodi/maximize-toggled-active.png,
	  themes/kokodi/maximize-toggled-active.svg,
	  themes/kokodi/maximize-toggled-active.xpm,
	  themes/kokodi/maximize-toggled-inactive.png,
	  themes/kokodi/maximize-toggled-inactive.svg,
	  themes/kokodi/maximize-toggled-inactive.xpm,
	  themes/kokodi/maximize-toggled-prelight.png,
	  themes/kokodi/maximize-toggled-prelight.svg,
	  themes/kokodi/maximize-toggled-prelight.xpm,
	  themes/kokodi/maximize-toggled-pressed.png,
	  themes/kokodi/maximize-toggled-pressed.svg,
	  themes/kokodi/maximize-toggled-pressed.xpm,
	  themes/kokodi/menu-active.png, themes/kokodi/menu-active.svg,
	  themes/kokodi/menu-active.xpm, themes/kokodi/menu-inactive.png,
	  themes/kokodi/menu-inactive.svg, themes/kokodi/menu-inactive.xpm,
	  themes/kokodi/menu-prelight.svg, themes/kokodi/menu-prelight.xpm,
	  themes/kokodi/menu-pressed.svg, themes/kokodi/menu-pressed.xpm,
	  themes/kokodi/right-active.png, themes/kokodi/right-active.svg,
	  themes/kokodi/right-active.xpm, themes/kokodi/right-inactive.png,
	  themes/kokodi/right-inactive.svg,
	  themes/kokodi/right-inactive.xpm, themes/kokodi/shade-active.png,
	  themes/kokodi/shade-active.svg, themes/kokodi/shade-active.xpm,
	  themes/kokodi/shade-inactive.png,
	  themes/kokodi/shade-inactive.svg,
	  themes/kokodi/shade-inactive.xpm,
	  themes/kokodi/shade-prelight.png,
	  themes/kokodi/shade-prelight.svg,
	  themes/kokodi/shade-prelight.xpm,
	  themes/kokodi/shade-pressed.png, themes/kokodi/shade-pressed.svg,
	  themes/kokodi/shade-pressed.xpm,
	  themes/kokodi/shade-toggled-active.png,
	  themes/kokodi/shade-toggled-active.svg,
	  themes/kokodi/shade-toggled-active.xpm,
	  themes/kokodi/shade-toggled-inactive.png,
	  themes/kokodi/shade-toggled-inactive.svg,
	  themes/kokodi/shade-toggled-inactive.xpm,
	  themes/kokodi/shade-toggled-prelight.png,
	  themes/kokodi/shade-toggled-prelight.svg,
	  themes/kokodi/shade-toggled-prelight.xpm,
	  themes/kokodi/shade-toggled-pressed.png,
	  themes/kokodi/shade-toggled-pressed.svg,
	  themes/kokodi/shade-toggled-pressed.xpm,
	  themes/kokodi/stick-active.png, themes/kokodi/stick-active.svg,
	  themes/kokodi/stick-active.xpm, themes/kokodi/stick-inactive.png,
	  themes/kokodi/stick-inactive.svg,
	  themes/kokodi/stick-inactive.xpm,
	  themes/kokodi/stick-prelight.png,
	  themes/kokodi/stick-prelight.svg,
	  themes/kokodi/stick-prelight.xpm,
	  themes/kokodi/stick-pressed.png, themes/kokodi/stick-pressed.svg,
	  themes/kokodi/stick-pressed.xpm,
	  themes/kokodi/stick-toggled-active.png,
	  themes/kokodi/stick-toggled-active.svg,
	  themes/kokodi/stick-toggled-active.xpm,
	  themes/kokodi/stick-toggled-inactive.png,
	  themes/kokodi/stick-toggled-inactive.svg,
	  themes/kokodi/stick-toggled-inactive.xpm,
	  themes/kokodi/stick-toggled-prelight.png,
	  themes/kokodi/stick-toggled-prelight.svg,
	  themes/kokodi/stick-toggled-prelight.xpm,
	  themes/kokodi/stick-toggled-pressed.png,
	  themes/kokodi/stick-toggled-pressed.svg,
	  themes/kokodi/stick-toggled-pressed.xpm, themes/kokodi/themerc,
	  themes/kokodi/title-1-active.png,
	  themes/kokodi/title-1-active.svg,
	  themes/kokodi/title-1-active.xpm,
	  themes/kokodi/title-1-inactive.png,
	  themes/kokodi/title-1-inactive.svg,
	  themes/kokodi/title-1-inactive.xpm,
	  themes/kokodi/title-2-active.png,
	  themes/kokodi/title-2-active.svg,
	  themes/kokodi/title-2-active.xpm,
	  themes/kokodi/title-2-inactive.png,
	  themes/kokodi/title-2-inactive.svg,
	  themes/kokodi/title-2-inactive.xpm,
	  themes/kokodi/title-3-active.png,
	  themes/kokodi/title-3-active.svg,
	  themes/kokodi/title-3-active.xpm,
	  themes/kokodi/title-3-inactive.png,
	  themes/kokodi/title-3-inactive.svg,
	  themes/kokodi/title-3-inactive.xpm,
	  themes/kokodi/title-4-active.png,
	  themes/kokodi/title-4-active.svg,
	  themes/kokodi/title-4-active.xpm,
	  themes/kokodi/title-4-inactive.png,
	  themes/kokodi/title-4-inactive.svg,
	  themes/kokodi/title-4-inactive.xpm,
	  themes/kokodi/title-5-active.png,
	  themes/kokodi/title-5-active.svg,
	  themes/kokodi/title-5-active.xpm,
	  themes/kokodi/title-5-inactive.png,
	  themes/kokodi/title-5-inactive.svg,
	  themes/kokodi/title-5-inactive.xpm,
	  themes/kokodi/top-left-active.png,
	  themes/kokodi/top-left-active.svg,
	  themes/kokodi/top-left-active.xpm,
	  themes/kokodi/top-left-inactive.png,
	  themes/kokodi/top-left-inactive.svg,
	  themes/kokodi/top-left-inactive.xpm,
	  themes/kokodi/top-right-active.png,
	  themes/kokodi/top-right-active.svg,
	  themes/kokodi/top-right-active.xpm,
	  themes/kokodi/top-right-inactive.png,
	  themes/kokodi/top-right-inactive.svg,
	  themes/kokodi/top-right-inactive.xpm:
	  Re-add theme

2008-06-02 20:49  olivier

	* themes/default/Makefile.am, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-active.xpm,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.svg, themes/default/menu-pressed.xpm,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm:
	  Clean up the mess with themes and svn

2008-06-02 20:28  olivier

	* configure.ac.in:
	  Switch to libwnck (patch from Nick Schermer nick@xfce.org, bug
	  #3487)

2008-06-02 20:26  olivier

	* themes/Makefile.am, themes/default-4.4/top-right-inactive.svg,
	  themes/default/Makefile.am, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-active.xpm,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg, themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm:
	  Change theme

2008-06-02 20:23  olivier

	* themes/default.keys/keythemerc:
	  Update default keytheme accordingly

2008-06-02 20:22  olivier

	* mcs-plugin/Makefile.am, mcs-plugin/workspaces.c,
	  mcs-plugin/workspaces_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  mcs-plugin/xfwm4_shortcuteditor.c, src/events.c,
	  src/moveresize.c, src/screen.c, src/settings.c, src/settings.h:
	  Change shortcuts to use the new move/resize system

2008-06-01 21:24  olivier

	* src/client.c, src/display.c, src/display.h, src/events.c,
	  src/menu.c, src/menu.h, src/moveresize.c, src/netwm.c,
	  src/screen.c, src/screen.h:
	  Rework move/resize, better keyboard operations, allow move/resize
	  from menu and from taskbar - TODO: Change keyboard shortcuts
	  accordingly

2008-06-01 10:45  olivier

	* src/compositor.c:
	  No need for xsync there

2008-06-01 10:25  olivier

	* src/tabwin.c:
	  Capitalize class name, use brackets to show hidden windows,
	  decrease saturation for icons of hidden windows.

2008-06-01 09:24  olivier

	* src/client.c:
	  Missing header

2008-05-31 23:45  olivier

	* src/screen.c:
	  Make sure title height is initialized

2008-05-31 23:41  olivier

	* src/frame.c, src/icons.c, src/screen.h, src/settings.c,
	  src/tabwin.c:
	  Use actual font metrics to compute font height as it gives better
	  results than layout extents, lighten icons of iconified windows
	  in tabwin selector.

2008-05-31 14:35  olivier

	* src/client.c, src/client.h, src/compositor.c, src/compositor.h,
	  src/cycle.c, src/cycle.h, src/display.c, src/display.h,
	  src/event_filter.c, src/event_filter.h, src/events.c,
	  src/events.h, src/focus.c, src/focus.h, src/frame.c, src/frame.h,
	  src/hints.c, src/hints.h, src/icons.c, src/icons.h,
	  src/keyboard.c, src/keyboard.h, src/main.c, src/menu.c,
	  src/menu.h, src/misc.c, src/misc.h, src/moveresize.c,
	  src/moveresize.h, src/mypixmap.c, src/mypixmap.h, src/mywindow.c,
	  src/mywindow.h, src/netwm.c, src/netwm.h, src/parserc.c,
	  src/parserc.h, src/placement.c, src/placement.h, src/poswin.c,
	  src/poswin.h, src/screen.c, src/screen.h, src/session.c,
	  src/session.h, src/settings.c, src/settings.h,
	  src/spinning_cursor.c, src/spinning_cursor.h, src/stacking.c,
	  src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/tabwin.c, src/tabwin.h,
	  src/transients.c, src/transients.h, src/ui_style.c,
	  src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h, src/xsync.c, src/xsync.h:
	  Update FSF address

2008-05-31 14:29  olivier

	* src/Makefile.am, src/client.c, src/cycle.c, src/cycle.h,
	  src/events.c, src/hints.c, src/hints.h, src/misc.c, src/misc.h,
	  src/moveresize.c, src/moveresize.h, src/netwm.c, src/xsync.c,
	  src/xsync.h:
	  Split code to prepare further changes

2008-05-27 16:58  olivier

	* src/client.c, src/events.c:
	  Revert previous change, not much of a good idea, usability wise

2008-05-27 00:25  mmassonnet

	* po/ChangeLog, po/ja.po:
	  update-po

2008-05-25 16:31  olivier

	* src/client.c, src/events.c:
	  Do not raise/focus when window buttons are pressed

2008-05-20 21:51  olivier

	* src/netwm.c, src/screen.c, src/workspaces.c:
	  Fix gcc warnings (bug #4095, Gauvain Pocentek
	  <gauvainpocentek@gmail.com>

2008-05-19 18:24  olivier

	* src/compositor.c:
	  Make sure to count only the fullscreen overlays to be extra safe

2008-05-18 22:02  olivier

	* src/display.h, src/events.c, src/startup_notification.c:
	  Make sure to release keyboard events even when a modifier is
	  released before the regular key (bug #4072)

2008-05-18 16:14  olivier

	* src/compositor.c:
	  Fix a bug in overlays counting causing xscreensaver window to
	  remain invisible (cont. bug #3849)

2008-05-17 16:41  olivier

	* src/compositor.c:
	  Resize overlays on XRandr notification (bug #3763)

2008-05-17 16:02  olivier

	* src/client.c, src/client.h, src/events.c:
	  Take gravity bit into account in configure resize only requests
	  to comply with standard (bug #3634)

2008-05-16 17:27  olivier

	* src/events.c:
	  Actually, I believe it is safer to use CurrentTime when releasing
	  the event queue

2008-05-16 16:59  olivier

	* src/client.c:
	  Take the direction into account before wrapping workspaces (fixes
	  bug #4090)

2008-05-15 21:51  olivier

	* src/events.c:
	  Simpler

2008-05-15 21:22  olivier

	* src/events.c:
	  Release pointer events as the pointer is grabbed in synchronous
	  mode.

2008-05-13 09:23  mmassonnet

	* po/ChangeLog, po/en_GB.po:
	  update en_GB translations

2008-05-12 19:19  olivier

	* src/client.c, src/events.c, src/netwm.c, src/screen.c,
	  src/screen.h, src/workspaces.c:
	  Trying to get rid of CurrentTime

2008-05-09 09:22  olivier

	* src/events.c:
	  Make sure keyboard events are released, otherwise processing may
	  stay stuck now that we do sync grab on the keyboard

2008-05-07 21:56  olivier

	* src/client.c, src/client.h, src/events.c, src/keyboard.c,
	  src/placement.c:
	  Switch to synchronous key grab

2008-05-04 13:27  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-05-04 01:50  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation

2008-05-02 08:13  olivier

	* src/placement.c:
	  Restore maximize on move has been broken for a while and nobody
	  complains, too bad, it's a neat feature, let's try to get it
	  fixed.

2008-05-02 08:00  olivier

	* themes/default.keys/keythemerc:
	  Missign bit from commit

2008-05-02 07:09  olivier

	* src/client.c, src/events.c:
	  Do not filter out leave notify events otherwize the frame buttons
	  may remain in prelight state

2008-05-01 16:36  olivier

	* src/events.c, src/settings.c, src/settings.h, src/workspaces.c,
	  src/workspaces.h:
	  Add adjacent workscape/delete active workspace - Patch from xsdg
	  <xsdg+xfcedev@mit.edu> (Bug #3595)

2008-04-30 20:52  olivier

	* src/client.c, src/events.c, src/screen.c:
	  Fix grab count not being decreased when pointer already grabbed
	  by the client application

2008-04-23 21:24  olivier

	* src/client.c, src/client.h, src/events.c, src/screen.c:
	  Let see if changing the grab improves things

2008-04-22 02:18  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation

2008-04-19 11:10  olivier

	* src/client.c, src/frame.c:
	  Resync redraw when needed, avoid display refresh issues with
	  compositor

2008-04-12 09:54  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update Latvian translation

2008-04-10 21:28  olivier

	* src/client.c, src/frame.c, src/frame.h, src/netwm.c,
	  src/settings.h:
	  Redraw frame immediately in case of resize to avoid confusing the
	  compositor

2008-04-05 09:56  olivier

	* src/client.c, src/client.h, src/compositor.c, src/events.c,
	  src/focus.c, src/frame.c, src/frame.h, src/netwm.c:
	  Implements asynchronous frames update

2008-03-18 20:57  olivier

	* src/events.c:
	  Rework keyboard grabs

2008-03-18 18:42  olivier

	* src/netwm.c:
	  Do not confine struts values to 1/4 of the screen size

2008-03-18 13:18  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  Update Portuguese translation

2008-03-05 04:11  mmassonnet

	* po/ChangeLog, po/zh_CN.po:
	  Update Chinese translation

2008-02-18 01:37  mmassonnet

	* po/ChangeLog, po/fr.po:
	  Update French translation + patch from Gérald Barré

2008-02-13 22:33  olivier

	* src/focus.c:
	  Pass mouse button grab at initial mapping to avoid loosing the
	  last ungrab

2008-02-13 13:53  jari

	* po/ChangeLog, po/fi.po:
	  Fixed typo reported by Jarno Liimatainen.

2008-02-10 22:31  olivier

	* src/compositor.c:
	  Bug fix with fullscreen overlays

2008-02-07 08:04  olivier

	* src/screen.c:
	  Warning and errors should not ne localized

2008-02-06 22:51  olivier

	* src/main.c, src/screen.c, src/screen.h:
	  Add a --replace option to replace ICCCM2 compliant window
	  managers (Bug #3731)

2008-01-24 22:39  olivier

	* src/events.c:
	  Small cleanup

2008-01-21 22:33  olivier

	* src/display.c, src/events.c, src/screen.c:
	  Exit on SelectionClear event so that xfwm4 exits even with WM who
	  do not send a ClientMEssage event such as Openbox (bug #2374)

2007-12-23 16:01  pollux

	* po/ChangeLog, po/pt_PT.po:
	  Updated Portuguese translations by Nuno Miguel <nunis@netcabo.pt>

2007-12-19 22:48  maximilian

	* po/ChangeLog, po/de.po:
	  German translation updates in trunk

2007-12-16 17:12  majkl

	* po/cs.po:
	  Czech translations updated

2007-12-15 17:37  pollux

	* mcs-plugin/workspaces.c, mcs-plugin/workspaces.h,
	  mcs-plugin/workspaces_plugin.c,
	  mcs-plugin/xfwm4_shortcuteditor.c:
	  * use XfceTitledDialog instead of xfce_create_header * fix a
	  multiscreen bug by giving a parent to the edit workspace name
	  dialog

2007-12-12 22:33  olivier

	* src/compositor.c, src/screen.h:
	  Rework the windows unredirection to take advantage of the new
	  overlay support

2007-12-11 22:14  olivier

	* src/compositor.c:
	  Avoid infinite loop when damaging the overlay window

2007-12-10 22:27  olivier

	* src/compositor.c, src/screen.h:
	  Set depth/visual in overlay output window

2007-12-09 11:22  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c,
	  src/compositor.c, src/display.h, src/frame.c, src/screen.h:
	  Add support for overlays from Composite extension version 0.3

2007-12-06 19:19  mmassonnet

	* po/ChangeLog, po/fr.po:
	  fr.po: Fix typo (Peaufinage sans pluriel)

2007-12-03 21:44  olivier

	* src/events.c, src/keyboard.c:
	  Rework key grabbing and release events queued

2007-12-03 21:43  olivier

	* src/focus.c:
	  Rework focus transition since now parents get raised along with
	  the transients - That makes things more predictible.

2007-12-03 21:41  olivier

	* src/hints.c:
	  Remove trailing \0 in UTF-8 strings, that cause libwnck to
	  rightfully complain that NET_WM_NAME contains invalid UTF-8

2007-12-02 16:49  maximilian

	* po/ChangeLog, po/de.po:
	  Spanish translations branch updates and German translations trunk
	  updates

2007-11-19 00:33  stephan

	* po/nl.po:
	  Update dutch translation

2007-11-19 00:24  stephan

	* po/ChangeLog, po/nl.po:
	  Update dutch translation

2007-11-17 20:23  olivier

	* src/client.c:
	  Filter out grab/ungrab events so we don't end up redrawing the
	  frame twice

2007-11-17 14:31  mmassonnet

	* po/ChangeLog, po/fr.po:
	  fr.po: Rename name in .desktop files with consistency

2007-11-15 09:14  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ur.po:
	  Add Urdu translations to trunk (hope this is right *sigh*)

2007-11-11 03:25  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update latvian

2007-11-10 20:28  olivier

	* themes/default-4.2/title-1-inactive.xpm:
	  Missing quote

2007-11-07 22:33  olivier

	* ChangeLog:
	  Update ChangeLog

2007-11-07 22:26  olivier

	* src/client.c, src/focus.c:
	  Keep transients and parent together

2007-11-06 22:53  olivier

	* src/events.c:
	  Revert to current time for releasing queued input events
	  (simpler, safer)

2007-11-06 22:52  olivier

	* src/client.c, src/display.c, src/display.h:
	  Get highest user time at initial client capture

2007-11-03 05:17  erenturkay

	* po/tr.po:
	  * wops, wrong translation :)

2007-11-03 05:13  erenturkay

	* po/ChangeLog, po/tr.po:
	  * update translation

2007-10-28 22:18  olivier

	* src/client.c, src/display.c, src/events.c:
	  Remove warnings

2007-10-28 19:29  olivier

	* src/client.c, src/startup_notification.c, src/transients.c,
	  src/transients.h:
	  Improve compatibily with libwnck tasklist

2007-10-28 17:14  olivier

	* src/display.c:
	  Work around time going back (like broken clients or clock change)

2007-10-25 21:47  olivier

	* src/client.c:
	  Apply a patch from Andreas Lampersperger
	  <lampersperger.andreas@heidenhain.de> to improve ICCCM compliance
	  regarding synthetic ConfigureNotify event (Bug #3610)

2007-10-24 22:26  kelnos

	* configure.ac.in:
	  remove trailing parens on AC_INIT version info to work around bug
	  in intltool 0.35.x and 0.36.x

2007-10-20 18:30  olivier

	* src/netwm.c:
	  Set all dock type windows sticky by default, a few other window
	  managers implement this behaviour and some apps rely on this (bug
	  #3609)

2007-10-06 17:00  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/lv.po:
	  * libexo, libxfce4util, xfcalendar, xfce4-panel, xfce4-session,
	  xfce-mcs-plugins, xfdesktop, xfprint, xfwm4: Add Latvian
	  translation.

2007-10-01 18:19  mmassonnet

	* po/ChangeLog, po/de.po:
	  * libxfcegui4, xfce4-panel, xfwm4, xarchiver, xfcalendar: Update
	  german translation.

2007-09-30 08:54  paurullan

	* po/ChangeLog, po/ca.po:
	  Some catalan updates

2007-09-25 17:40  mmassonnet

	* po/ChangeLog, po/ko.po:
	  * xfce4-session, libxfcegui4, xfwm4, xfcalendar, xfdesktop,
	  terminal: Update Korean translation by ByungHyun Choi

2007-09-22 22:08  olivier

	* src/hints.c:
	  Some broken apps include control characters in their window title
	  name

2007-09-22 02:55  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-09-20 21:24  mmassonnet

	* po/ChangeLog, po/nb_NO.po:
	  * xfce4-session, xfce4-mixer, xfwm4: Update nb_NO translations

2007-09-09 22:14  olivier

	* src/events.c:
	  Do not focus dock windows that raise themselves (why oh why would
	  they do that anyway, heh?) to fix bug #3439 with Avant Window
	  Navigator.

2007-09-09 21:09  nab

	* po/ChangeLog, po/be.po:
	  2007-09-10 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian translation

2007-09-09 20:50  olivier

	* src/display.c, src/display.h, src/netwm.c:
	  Add support for NET_WM_ACTION_FULLSCREEN and
	  NET_WM_ACTION_MINIMIZE

2007-09-07 22:18  olivier

	* src/client.c, src/focus.c, src/keyboard.c:
	  Fix wrong focus fallback if pending focus window disappears.
	  Allow move/resize using the mouse even if the keyboard grab fails
	  (bug #3535).

2007-09-06 18:16  maximilian

	* po/ChangeLog, po/LINGUAS, po/am.po:
	  Added a long waiting Amharic translation for trunk.

2007-08-24 23:20  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  * po/pt_PT.po: European Portuguese update

2007-08-11 18:49  majkl

	* po/cs.po:
	  Updated Czech translations

2007-07-23 12:28  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translation

2007-07-18 18:29  olivier

	* src/events.c:
	  Do ReplayPointer on client window only, this is actually a lot
	  simpler

2007-07-17 18:10  olivier

	* src/events.c:
	  Use event's timestamp when releasing queued events

2007-07-16 21:25  olivier

	* src/events.c:
	  Release key events early

2007-07-16 21:25  olivier

	* src/netwm.c:
	  Be compliant with EWMH standard that states: "If
	  _NET_WM_WINDOW_TYPE is not set, then windows with
	  WM_TRANSIENT_FOR set MUST be taken as NET_WM_WINDOW_TYPE_DIALOG".
	  It shouldn't make much difference in xfwm4 though.

2007-07-14 22:51  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/left-active.png, themes/default/left-active.svg,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg:
	  Update theme

2007-07-14 03:04  daichi

	* po/ChangeLog, po/ja.po:
	  Added/Updated Japanese translations.

2007-07-13 21:58  olivier

	* themes/default/README, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm:
	  Update theme

2007-07-13 11:30  piarres

	* po/ChangeLog, po/eu.po:
	  squezze & xfwm4 basque translation updates

2007-07-05 21:03  olivier

	* themes/default/themerc:
	  Larger shadow

2007-07-04 18:12  olivier

	* themes/default/Makefile.am:
	  Typo

2007-07-04 17:54  olivier

	* defaults/defaults, mcs-plugin/xfwm4_plugin.h:
	  Adjust defaults

2007-07-04 17:51  olivier

	* themes/default, themes/default/Makefile.am,
	  themes/default/README, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-active.xpm,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg, themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm, themes/kokodi:
	  Promote modified version of Kokodi theme as default theme

2007-07-04 17:49  olivier

	* configure.ac.in, themes/Makefile.am, themes/daloa/themerc,
	  themes/default, themes/katiola, themes/kokodi/Makefile.am,
	  themes/kokodi/README, themes/kokodi/bottom-active.png,
	  themes/kokodi/bottom-active.svg,
	  themes/kokodi/bottom-inactive.png,
	  themes/kokodi/bottom-inactive.svg,
	  themes/kokodi/bottom-left-active.png,
	  themes/kokodi/bottom-left-active.svg,
	  themes/kokodi/bottom-left-inactive.png,
	  themes/kokodi/bottom-left-inactive.svg,
	  themes/kokodi/bottom-right-active.png,
	  themes/kokodi/bottom-right-active.svg,
	  themes/kokodi/bottom-right-inactive.png,
	  themes/kokodi/bottom-right-inactive.svg,
	  themes/kokodi/close-active.png, themes/kokodi/close-active.svg,
	  themes/kokodi/close-active.xpm, themes/kokodi/close-inactive.png,
	  themes/kokodi/close-inactive.svg,
	  themes/kokodi/close-inactive.xpm,
	  themes/kokodi/close-prelight.png,
	  themes/kokodi/close-prelight.svg,
	  themes/kokodi/close-prelight.xpm,
	  themes/kokodi/close-pressed.png, themes/kokodi/close-pressed.svg,
	  themes/kokodi/close-pressed.xpm, themes/kokodi/hide-active.png,
	  themes/kokodi/hide-active.svg, themes/kokodi/hide-active.xpm,
	  themes/kokodi/hide-inactive.png, themes/kokodi/hide-inactive.svg,
	  themes/kokodi/hide-inactive.xpm, themes/kokodi/hide-prelight.png,
	  themes/kokodi/hide-prelight.svg, themes/kokodi/hide-prelight.xpm,
	  themes/kokodi/hide-pressed.png, themes/kokodi/hide-pressed.svg,
	  themes/kokodi/hide-pressed.xpm, themes/kokodi/left-active.png,
	  themes/kokodi/left-active.svg, themes/kokodi/left-inactive.png,
	  themes/kokodi/left-inactive.svg,
	  themes/kokodi/maximize-active.png,
	  themes/kokodi/maximize-active.svg,
	  themes/kokodi/maximize-active.xpm,
	  themes/kokodi/maximize-inactive.png,
	  themes/kokodi/maximize-inactive.svg,
	  themes/kokodi/maximize-inactive.xpm,
	  themes/kokodi/maximize-prelight.png,
	  themes/kokodi/maximize-prelight.svg,
	  themes/kokodi/maximize-prelight.xpm,
	  themes/kokodi/maximize-pressed.png,
	  themes/kokodi/maximize-pressed.svg,
	  themes/kokodi/maximize-pressed.xpm,
	  themes/kokodi/maximize-toggled-active.png,
	  themes/kokodi/maximize-toggled-active.svg,
	  themes/kokodi/maximize-toggled-active.xpm,
	  themes/kokodi/maximize-toggled-inactive.png,
	  themes/kokodi/maximize-toggled-inactive.svg,
	  themes/kokodi/maximize-toggled-inactive.xpm,
	  themes/kokodi/maximize-toggled-prelight.png,
	  themes/kokodi/maximize-toggled-prelight.svg,
	  themes/kokodi/maximize-toggled-prelight.xpm,
	  themes/kokodi/maximize-toggled-pressed.png,
	  themes/kokodi/maximize-toggled-pressed.svg,
	  themes/kokodi/maximize-toggled-pressed.xpm,
	  themes/kokodi/menu-active.png, themes/kokodi/menu-active.svg,
	  themes/kokodi/menu-active.xpm, themes/kokodi/menu-inactive.png,
	  themes/kokodi/menu-inactive.svg, themes/kokodi/menu-inactive.xpm,
	  themes/kokodi/menu-prelight.png, themes/kokodi/menu-prelight.svg,
	  themes/kokodi/menu-prelight.xpm, themes/kokodi/menu-pressed.png,
	  themes/kokodi/menu-pressed.svg, themes/kokodi/menu-pressed.xpm,
	  themes/kokodi/right-active.png, themes/kokodi/right-active.svg,
	  themes/kokodi/right-inactive.png,
	  themes/kokodi/right-inactive.svg, themes/kokodi/shade-active.png,
	  themes/kokodi/shade-active.svg, themes/kokodi/shade-active.xpm,
	  themes/kokodi/shade-inactive.png,
	  themes/kokodi/shade-inactive.svg,
	  themes/kokodi/shade-inactive.xpm,
	  themes/kokodi/shade-prelight.png,
	  themes/kokodi/shade-prelight.svg,
	  themes/kokodi/shade-prelight.xpm,
	  themes/kokodi/shade-pressed.png, themes/kokodi/shade-pressed.svg,
	  themes/kokodi/shade-pressed.xpm,
	  themes/kokodi/shade-toggled-active.png,
	  themes/kokodi/shade-toggled-active.svg,
	  themes/kokodi/shade-toggled-active.xpm,
	  themes/kokodi/shade-toggled-inactive.png,
	  themes/kokodi/shade-toggled-inactive.svg,
	  themes/kokodi/shade-toggled-inactive.xpm,
	  themes/kokodi/shade-toggled-prelight.png,
	  themes/kokodi/shade-toggled-prelight.svg,
	  themes/kokodi/shade-toggled-prelight.xpm,
	  themes/kokodi/shade-toggled-pressed.png,
	  themes/kokodi/shade-toggled-pressed.svg,
	  themes/kokodi/shade-toggled-pressed.xpm,
	  themes/kokodi/stick-active.png, themes/kokodi/stick-active.svg,
	  themes/kokodi/stick-active.xpm, themes/kokodi/stick-inactive.png,
	  themes/kokodi/stick-inactive.svg,
	  themes/kokodi/stick-inactive.xpm,
	  themes/kokodi/stick-prelight.png,
	  themes/kokodi/stick-prelight.svg,
	  themes/kokodi/stick-prelight.xpm,
	  themes/kokodi/stick-pressed.png, themes/kokodi/stick-pressed.svg,
	  themes/kokodi/stick-pressed.xpm,
	  themes/kokodi/stick-toggled-active.png,
	  themes/kokodi/stick-toggled-active.svg,
	  themes/kokodi/stick-toggled-active.xpm,
	  themes/kokodi/stick-toggled-inactive.png,
	  themes/kokodi/stick-toggled-inactive.svg,
	  themes/kokodi/stick-toggled-inactive.xpm,
	  themes/kokodi/stick-toggled-prelight.png,
	  themes/kokodi/stick-toggled-prelight.svg,
	  themes/kokodi/stick-toggled-prelight.xpm,
	  themes/kokodi/stick-toggled-pressed.png,
	  themes/kokodi/stick-toggled-pressed.svg,
	  themes/kokodi/stick-toggled-pressed.xpm, themes/kokodi/themerc,
	  themes/kokodi/title-1-active.png,
	  themes/kokodi/title-1-active.svg,
	  themes/kokodi/title-1-inactive.png,
	  themes/kokodi/title-1-inactive.svg,
	  themes/kokodi/title-2-active.png,
	  themes/kokodi/title-2-active.svg,
	  themes/kokodi/title-2-inactive.png,
	  themes/kokodi/title-2-inactive.svg,
	  themes/kokodi/title-3-active.png,
	  themes/kokodi/title-3-active.svg,
	  themes/kokodi/title-3-inactive.png,
	  themes/kokodi/title-3-inactive.svg,
	  themes/kokodi/title-4-active.png,
	  themes/kokodi/title-4-active.svg,
	  themes/kokodi/title-4-inactive.png,
	  themes/kokodi/title-4-inactive.svg,
	  themes/kokodi/title-5-active.png,
	  themes/kokodi/title-5-active.svg,
	  themes/kokodi/title-5-inactive.png,
	  themes/kokodi/title-5-inactive.svg,
	  themes/kokodi/top-left-active.png,
	  themes/kokodi/top-left-active.svg,
	  themes/kokodi/top-left-inactive.png,
	  themes/kokodi/top-left-inactive.svg,
	  themes/kokodi/top-right-active.png,
	  themes/kokodi/top-right-active.svg,
	  themes/kokodi/top-right-inactive.png,
	  themes/kokodi/top-right-inactive.svg, themes/largeprint:
	  Theme cleanup

2007-07-04 06:29  mvd

	* po/uk.po:
	  Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation by Dmitry Nikitin

2007-07-03 23:24  maximilian

	* po/ChangeLog, po/pt_BR.po:
	  * Updated the Brazilian Portuguese translation for Xfwm4 trunk
	  and added the one for Squeeze. * Added new European Portuguese
	  translations for trunk.

2007-06-29 20:17  maximilian

	* po/ChangeLog, po/pt_PT.po:
	  European Portuguese translations update (trunk)

2007-06-27 22:02  olivier

	* src/screen.c, src/settings.h:
	  Do not grab the Escape key by default

2007-06-26 21:07  olivier

	* src/client.c, src/netwm.c:
	  Be more relax with transients, allow transients to be sticky
	  independently of their parent window (Bug #3296)

2007-06-24 17:54  olivier

	* src/client.c:
	  Fix filling function being a no-op if not other windows is
	  visible, fix wrong computation size with struts on top or right
	  sides

2007-06-24 12:10  olivier

	* themes/daloa/themerc, themes/default/themerc,
	  themes/largeprint/themerc:
	  Play with shadows

2007-06-24 09:33  olivier

	* src/client.c, src/screen.c, src/settings.c:
	  Cleanup

2007-06-24 06:50  sas

	* po/hu.po:
	  hu trunk: wm updates

2007-06-23 22:44  olivier

	* src/frame.c:
	  A bit more of small cleanup

2007-06-23 22:28  olivier

	* src/settings.h:
	  Typo

2007-06-23 19:28  erenturkay

	* po/ChangeLog, po/tr.po:
	  update

2007-06-23 19:01  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/lt.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po:
	  Revert the name for shortcuts and update i18n

2007-06-23 18:47  olivier

	* src/settings.c, src/settings.h:
	  Reorder to ease readability

2007-06-23 18:03  olivier

	* src/events.c, src/hints.c, src/screen.c:
	  Cleanup

2007-06-23 17:59  olivier

	* src/client.c:
	  Add support for Xinerama, struts, margins

2007-06-23 17:44  olivier

	* src/client.c:
	  Computes the right size when filling

2007-06-23 17:30  olivier

	* src/client.c:
	  Use proper frame*() functions

2007-06-23 17:14  olivier

	* src/client.c:
	  Some fixes to previous patch, needs more (Xinerama support,
	  struts, use proper frame* function instead of using Client
	  fields)

2007-06-23 16:50  olivier

	* mcs-plugin/workspaces.c, mcs-plugin/xfwm4_plugin.c,
	  mcs-plugin/xfwm4_plugin.h, mcs-plugin/xfwm4_shortcuteditor.c,
	  src/client.c, src/client.h, src/events.c, src/frame.c,
	  src/screen.c, src/settings.c, src/settings.h,
	  themes/default.keys/keythemerc:
	  Add window fill function (Bug #2319), patch from Stephan Arts
	  (psybsd@gmail.com) applied with changes

2007-06-21 22:21  olivier

	* src/client.c, src/display.c, src/display.h, src/hints.c,
	  src/hints.h, src/mypixmap.c:
	  Fix xfwm4 hanging with gtk+-2.11.x (Bug #3346) - Patch based on a
	  similar fix for Metacity, see gnome bug #354213

2007-06-20 22:00  piarres

	* po/ChangeLog, po/eu.po:
	  xfwm4 basque translation update

2007-06-20 20:33  maximilian

	* po/ChangeLog, po/en_GB.po:
	  * en_GB.po: British English translations updated for trunk *
	  ka.po: Georgian translation update for Xfce 4.4 * nl.po: Updated
	  xfcalendar's Dutch translation for Xfce 4.4

2007-06-17 07:28  olivier

	* src/screen.c:
	  Add missing pixmap inits

2007-06-16 23:15  olivier

	* src/client.c, src/display.h, src/frame.c, src/frame.h,
	  src/settings.c:
	  Plug a pixmap leak in the new button prelight code, and a grab
	  that was leaking since 4.2.

2007-06-13 22:20  olivier

	* src/client.c, src/client.h, src/frame.c, src/settings.c:
	  A bit more cleanup and stuff

2007-06-12 23:03  olivier

	* src/client.c, src/client.h, src/compositor.c, src/compositor.h,
	  src/display.c, src/display.h, src/event_filter.c,
	  src/event_filter.h, src/events.c, src/events.h, src/focus.c,
	  src/focus.h, src/frame.c, src/frame.h, src/hints.c, src/hints.h,
	  src/icons.c, src/icons.h, src/keyboard.c, src/keyboard.h,
	  src/main.c, src/menu.c, src/menu.h, src/misc.c, src/misc.h,
	  src/mypixmap.c, src/mypixmap.h, src/mywindow.c, src/mywindow.h,
	  src/netwm.c, src/netwm.h, src/parserc.c, src/parserc.h,
	  src/placement.c, src/placement.h, src/poswin.c, src/poswin.h,
	  src/screen.c, src/screen.h, src/session.c, src/session.h,
	  src/settings.c, src/settings.h, src/spinning_cursor.c,
	  src/spinning_cursor.h, src/stacking.c, src/stacking.h,
	  src/startup_notification.c, src/startup_notification.h,
	  src/tabwin.c, src/tabwin.h, src/transients.c, src/transients.h,
	  src/ui_style.c, src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h:
	  Rework a bit the code for hilight and frame drawing

2007-06-12 19:14  olivier

	* src/client.c:
	  Keep button hilighted after a press if relevant

2007-06-11 22:04  olivier

	* themes/daloa/close-prelight.png, themes/daloa/close-prelight.svg,
	  themes/daloa/close-prelight.xpm, themes/daloa/hide-prelight.png,
	  themes/daloa/hide-prelight.svg, themes/daloa/hide-prelight.xpm,
	  themes/daloa/maximize-prelight.png,
	  themes/daloa/maximize-prelight.svg,
	  themes/daloa/maximize-prelight.xpm,
	  themes/daloa/maximize-toggled-prelight.png,
	  themes/daloa/maximize-toggled-prelight.svg,
	  themes/daloa/maximize-toggled-prelight.xpm,
	  themes/daloa/menu-prelight.png, themes/daloa/menu-prelight.svg,
	  themes/daloa/menu-prelight.xpm, themes/daloa/shade-prelight.png,
	  themes/daloa/shade-prelight.svg, themes/daloa/shade-prelight.xpm,
	  themes/daloa/shade-toggled-prelight.png,
	  themes/daloa/shade-toggled-prelight.svg,
	  themes/daloa/shade-toggled-prelight.xpm,
	  themes/daloa/stick-prelight.png, themes/daloa/stick-prelight.svg,
	  themes/daloa/stick-prelight.xpm,
	  themes/daloa/stick-toggled-prelight.png,
	  themes/daloa/stick-toggled-prelight.svg,
	  themes/daloa/stick-toggled-prelight.xpm,
	  themes/default/close-prelight.png,
	  themes/default/close-prelight.svg,
	  themes/default/close-prelight.xpm,
	  themes/default/hide-prelight.png,
	  themes/default/hide-prelight.svg,
	  themes/default/hide-prelight.xpm,
	  themes/default/maximize-prelight.png,
	  themes/default/maximize-prelight.svg,
	  themes/default/maximize-prelight.xpm,
	  themes/default/maximize-toggled-prelight.png,
	  themes/default/maximize-toggled-prelight.svg,
	  themes/default/maximize-toggled-prelight.xpm,
	  themes/default/menu-prelight.png,
	  themes/default/menu-prelight.svg,
	  themes/default/menu-prelight.xpm,
	  themes/default/shade-prelight.png,
	  themes/default/shade-prelight.svg,
	  themes/default/shade-prelight.xpm,
	  themes/default/shade-toggled-prelight.png,
	  themes/default/shade-toggled-prelight.svg,
	  themes/default/shade-toggled-prelight.xpm,
	  themes/default/stick-prelight.png,
	  themes/default/stick-prelight.svg,
	  themes/default/stick-prelight.xpm,
	  themes/default/stick-toggled-prelight.png,
	  themes/default/stick-toggled-prelight.svg,
	  themes/default/stick-toggled-prelight.xpm,
	  themes/largeprint/close-prelight.png,
	  themes/largeprint/close-prelight.svg,
	  themes/largeprint/close-prelight.xpm,
	  themes/largeprint/hide-prelight.png,
	  themes/largeprint/hide-prelight.svg,
	  themes/largeprint/hide-prelight.xpm,
	  themes/largeprint/maximize-prelight.png,
	  themes/largeprint/maximize-prelight.svg,
	  themes/largeprint/maximize-prelight.xpm,
	  themes/largeprint/maximize-toggled-prelight.png,
	  themes/largeprint/maximize-toggled-prelight.svg,
	  themes/largeprint/maximize-toggled-prelight.xpm,
	  themes/largeprint/menu-prelight.png,
	  themes/largeprint/menu-prelight.svg,
	  themes/largeprint/menu-prelight.xpm,
	  themes/largeprint/shade-prelight.png,
	  themes/largeprint/shade-prelight.svg,
	  themes/largeprint/shade-prelight.xpm,
	  themes/largeprint/shade-toggled-prelight.png,
	  themes/largeprint/shade-toggled-prelight.svg,
	  themes/largeprint/shade-toggled-prelight.xpm,
	  themes/largeprint/stick-prelight.png,
	  themes/largeprint/stick-prelight.svg,
	  themes/largeprint/stick-prelight.xpm,
	  themes/largeprint/stick-toggled-prelight.png,
	  themes/largeprint/stick-toggled-prelight.svg,
	  themes/largeprint/stick-toggled-prelight.xpm:
	  Add missing files to svn

2007-06-11 22:00  olivier

	* NEWS:
	  Update NEWS

2007-06-11 21:54  olivier

	* themes/daloa/Makefile.am, themes/daloa/bottom-active.png,
	  themes/daloa/bottom-active.svg, themes/daloa/bottom-inactive.png,
	  themes/daloa/bottom-inactive.svg,
	  themes/daloa/bottom-left-active.png,
	  themes/daloa/bottom-left-active.svg,
	  themes/daloa/bottom-left-inactive.png,
	  themes/daloa/bottom-left-inactive.svg,
	  themes/daloa/bottom-right-active.png,
	  themes/daloa/bottom-right-active.svg,
	  themes/daloa/bottom-right-inactive.png,
	  themes/daloa/bottom-right-inactive.svg,
	  themes/daloa/close-active.png, themes/daloa/close-active.svg,
	  themes/daloa/close-inactive.png, themes/daloa/close-inactive.svg,
	  themes/daloa/close-pressed.png, themes/daloa/close-pressed.svg,
	  themes/daloa/hide-active.png, themes/daloa/hide-active.svg,
	  themes/daloa/hide-inactive.png, themes/daloa/hide-inactive.svg,
	  themes/daloa/hide-pressed.png, themes/daloa/hide-pressed.svg,
	  themes/daloa/left-active.png, themes/daloa/left-active.svg,
	  themes/daloa/left-inactive.png, themes/daloa/left-inactive.svg,
	  themes/daloa/maximize-active.png,
	  themes/daloa/maximize-active.svg,
	  themes/daloa/maximize-inactive.png,
	  themes/daloa/maximize-inactive.svg,
	  themes/daloa/maximize-pressed.png,
	  themes/daloa/maximize-pressed.svg,
	  themes/daloa/maximize-toggled-active.png,
	  themes/daloa/maximize-toggled-active.svg,
	  themes/daloa/maximize-toggled-inactive.png,
	  themes/daloa/maximize-toggled-inactive.svg,
	  themes/daloa/maximize-toggled-pressed.png,
	  themes/daloa/maximize-toggled-pressed.svg,
	  themes/daloa/menu-active.png, themes/daloa/menu-active.svg,
	  themes/daloa/menu-inactive.png, themes/daloa/menu-inactive.svg,
	  themes/daloa/menu-pressed.png, themes/daloa/menu-pressed.svg,
	  themes/daloa/right-active.png, themes/daloa/right-active.svg,
	  themes/daloa/right-inactive.png, themes/daloa/right-inactive.svg,
	  themes/daloa/shade-active.png, themes/daloa/shade-active.svg,
	  themes/daloa/shade-inactive.png, themes/daloa/shade-inactive.svg,
	  themes/daloa/shade-pressed.png, themes/daloa/shade-pressed.svg,
	  themes/daloa/shade-toggled-active.png,
	  themes/daloa/shade-toggled-active.svg,
	  themes/daloa/shade-toggled-inactive.png,
	  themes/daloa/shade-toggled-inactive.svg,
	  themes/daloa/shade-toggled-pressed.png,
	  themes/daloa/shade-toggled-pressed.svg,
	  themes/daloa/stick-active.png, themes/daloa/stick-active.svg,
	  themes/daloa/stick-inactive.png, themes/daloa/stick-inactive.svg,
	  themes/daloa/stick-pressed.png, themes/daloa/stick-pressed.svg,
	  themes/daloa/stick-toggled-active.png,
	  themes/daloa/stick-toggled-active.svg,
	  themes/daloa/stick-toggled-inactive.png,
	  themes/daloa/stick-toggled-inactive.svg,
	  themes/daloa/stick-toggled-pressed.png,
	  themes/daloa/stick-toggled-pressed.svg,
	  themes/daloa/title-1-active.png, themes/daloa/title-1-active.svg,
	  themes/daloa/title-1-inactive.png,
	  themes/daloa/title-1-inactive.svg,
	  themes/daloa/title-2-active.png, themes/daloa/title-2-active.svg,
	  themes/daloa/title-2-inactive.png,
	  themes/daloa/title-2-inactive.svg,
	  themes/daloa/title-3-active.png, themes/daloa/title-3-active.svg,
	  themes/daloa/title-3-inactive.png,
	  themes/daloa/title-3-inactive.svg,
	  themes/daloa/title-4-active.png, themes/daloa/title-4-active.svg,
	  themes/daloa/title-4-inactive.png,
	  themes/daloa/title-4-inactive.svg,
	  themes/daloa/title-5-active.png, themes/daloa/title-5-active.svg,
	  themes/daloa/title-5-inactive.png,
	  themes/daloa/title-5-inactive.svg,
	  themes/daloa/top-left-active.png,
	  themes/daloa/top-left-active.svg,
	  themes/daloa/top-left-inactive.png,
	  themes/daloa/top-left-inactive.svg,
	  themes/daloa/top-right-active.png,
	  themes/daloa/top-right-active.svg,
	  themes/daloa/top-right-inactive.png,
	  themes/daloa/top-right-inactive.svg, themes/default/Makefile.am,
	  themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/left-active.png, themes/default/left-active.svg,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png, themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/largeprint/Makefile.am,
	  themes/largeprint/bottom-active.png,
	  themes/largeprint/bottom-active.svg,
	  themes/largeprint/bottom-inactive.png,
	  themes/largeprint/bottom-inactive.svg,
	  themes/largeprint/bottom-left-active.png,
	  themes/largeprint/bottom-left-active.svg,
	  themes/largeprint/bottom-left-inactive.png,
	  themes/largeprint/bottom-left-inactive.svg,
	  themes/largeprint/bottom-right-active.png,
	  themes/largeprint/bottom-right-active.svg,
	  themes/largeprint/bottom-right-inactive.png,
	  themes/largeprint/bottom-right-inactive.svg,
	  themes/largeprint/close-active.png,
	  themes/largeprint/close-active.svg,
	  themes/largeprint/close-inactive.png,
	  themes/largeprint/close-inactive.svg,
	  themes/largeprint/close-pressed.png,
	  themes/largeprint/close-pressed.svg,
	  themes/largeprint/hide-active.png,
	  themes/largeprint/hide-active.svg,
	  themes/largeprint/hide-inactive.png,
	  themes/largeprint/hide-inactive.svg,
	  themes/largeprint/hide-pressed.png,
	  themes/largeprint/hide-pressed.svg,
	  themes/largeprint/left-active.png,
	  themes/largeprint/left-active.svg,
	  themes/largeprint/left-inactive.png,
	  themes/largeprint/left-inactive.svg,
	  themes/largeprint/maximize-active.png,
	  themes/largeprint/maximize-active.svg,
	  themes/largeprint/maximize-inactive.png,
	  themes/largeprint/maximize-inactive.svg,
	  themes/largeprint/maximize-pressed.png,
	  themes/largeprint/maximize-pressed.svg,
	  themes/largeprint/maximize-toggled-active.png,
	  themes/largeprint/maximize-toggled-active.svg,
	  themes/largeprint/maximize-toggled-inactive.png,
	  themes/largeprint/maximize-toggled-inactive.svg,
	  themes/largeprint/maximize-toggled-pressed.png,
	  themes/largeprint/maximize-toggled-pressed.svg,
	  themes/largeprint/menu-active.png,
	  themes/largeprint/menu-active.svg,
	  themes/largeprint/menu-inactive.png,
	  themes/largeprint/menu-inactive.svg,
	  themes/largeprint/menu-pressed.png,
	  themes/largeprint/menu-pressed.svg,
	  themes/largeprint/right-active.png,
	  themes/largeprint/right-active.svg,
	  themes/largeprint/right-inactive.png,
	  themes/largeprint/right-inactive.svg,
	  themes/largeprint/shade-active.png,
	  themes/largeprint/shade-active.svg,
	  themes/largeprint/shade-inactive.png,
	  themes/largeprint/shade-inactive.svg,
	  themes/largeprint/shade-pressed.png,
	  themes/largeprint/shade-pressed.svg,
	  themes/largeprint/shade-toggled-active.png,
	  themes/largeprint/shade-toggled-active.svg,
	  themes/largeprint/shade-toggled-inactive.png,
	  themes/largeprint/shade-toggled-inactive.svg,
	  themes/largeprint/shade-toggled-pressed.png,
	  themes/largeprint/shade-toggled-pressed.svg,
	  themes/largeprint/stick-active.png,
	  themes/largeprint/stick-active.svg,
	  themes/largeprint/stick-inactive.png,
	  themes/largeprint/stick-inactive.svg,
	  themes/largeprint/stick-pressed.png,
	  themes/largeprint/stick-pressed.svg,
	  themes/largeprint/stick-toggled-active.png,
	  themes/largeprint/stick-toggled-active.svg,
	  themes/largeprint/stick-toggled-inactive.png,
	  themes/largeprint/stick-toggled-inactive.svg,
	  themes/largeprint/stick-toggled-pressed.png,
	  themes/largeprint/stick-toggled-pressed.svg,
	  themes/largeprint/title-1-active.png,
	  themes/largeprint/title-1-active.svg,
	  themes/largeprint/title-1-inactive.png,
	  themes/largeprint/title-1-inactive.svg,
	  themes/largeprint/title-2-active.png,
	  themes/largeprint/title-2-active.svg,
	  themes/largeprint/title-2-inactive.png,
	  themes/largeprint/title-2-inactive.svg,
	  themes/largeprint/title-3-active.png,
	  themes/largeprint/title-3-active.svg,
	  themes/largeprint/title-3-inactive.png,
	  themes/largeprint/title-3-inactive.svg,
	  themes/largeprint/title-4-active.png,
	  themes/largeprint/title-4-active.svg,
	  themes/largeprint/title-4-inactive.png,
	  themes/largeprint/title-4-inactive.svg,
	  themes/largeprint/title-5-active.png,
	  themes/largeprint/title-5-active.svg,
	  themes/largeprint/title-5-inactive.png,
	  themes/largeprint/title-5-inactive.svg,
	  themes/largeprint/top-left-active.png,
	  themes/largeprint/top-left-active.svg,
	  themes/largeprint/top-left-inactive.png,
	  themes/largeprint/top-left-inactive.svg,
	  themes/largeprint/top-right-active.png,
	  themes/largeprint/top-right-active.svg,
	  themes/largeprint/top-right-inactive.png,
	  themes/largeprint/top-right-inactive.svg:
	  ...and update some themes to use it.

2007-06-11 21:53  olivier

	* src/client.c, src/client.h, src/compositor.c, src/display.c,
	  src/display.h, src/events.c, src/frame.c, src/mywindow.c,
	  src/mywindow.h, src/screen.c, src/screen.h, src/settings.c,
	  src/stacking.c, src/transients.c:
	  Add support for button prelight in windows frame

2007-06-11 21:10  maximilian

	* po/ChangeLog, po/de.po:
	  * de.po: Small fix in the xfce4-session package and updated the
	  xfcalendar and xfwm4 translations

2007-06-10 23:25  maximilian

	* po/ChangeLog, po/fr.po:
	  * nb_NO: Updated some Norwegian translations and added one for
	  Xfmedia * pt_PT: Added European Portuguese translations * Changed
	  my email address

2007-06-03 16:14  olivier

	* src/frame.c:
	  Use full height for regular title pixmap

2007-06-03 15:35  olivier

	* src/placement.c, src/placement.h:
	  Fix dialogs and modals without parents not being automatically
	  centered like before (#Bug #3278)

2007-06-03 09:44  olivier

	* src/client.c, src/display.h, src/frame.c, src/screen.c,
	  src/settings.c, src/settings.h:
	  Try to make things less confusing

2007-06-02 23:52  olivier

	* AUTHORS, NEWS, src/client.c, src/client.h, src/display.c,
	  src/display.h, src/events.c, src/frame.c, src/frame.h,
	  src/screen.c, src/screen.h, src/settings.c, src/settings.h:
	  Add resize from top of window, based on a patch by Phil Vandry
	  <vandry@tzone.org>, reworked to allow compatibility with
	  unchanged themes, bug fixes, and various improvements

2007-05-09 20:55  olivier

	* mcs-plugin/margins.c, mcs-plugin/margins.h,
	  mcs-plugin/wmtweaks_plugin.c, mcs-plugin/workspaces.c,
	  mcs-plugin/workspaces.h, mcs-plugin/workspaces_plugin.c,
	  mcs-plugin/workspaces_plugin.h, mcs-plugin/xfwm4_plugin.c,
	  mcs-plugin/xfwm4_plugin.h, mcs-plugin/xfwm4_shortcuteditor.c,
	  mcs-plugin/xfwm4_shortcuteditor.h, src/client.c, src/client.h,
	  src/compositor.c, src/compositor.h, src/display.c, src/display.h,
	  src/event_filter.c, src/event_filter.h, src/events.c,
	  src/events.h, src/focus.c, src/focus.h, src/frame.c, src/frame.h,
	  src/hints.c, src/hints.h, src/icons.c, src/icons.h,
	  src/keyboard.c, src/keyboard.h, src/main.c, src/menu.c,
	  src/menu.h, src/misc.c, src/misc.h, src/mypixmap.c,
	  src/mypixmap.h, src/mywindow.c, src/mywindow.h, src/netwm.c,
	  src/netwm.h, src/parserc.c, src/parserc.h, src/placement.c,
	  src/placement.h, src/poswin.c, src/poswin.h, src/screen.c,
	  src/screen.h, src/session.c, src/session.h, src/settings.c,
	  src/settings.h, src/spinning_cursor.c, src/spinning_cursor.h,
	  src/stacking.c, src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/tabwin.c, src/tabwin.h,
	  src/transients.c, src/transients.h, src/ui_style.c,
	  src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h:
	  Cleanup

2007-05-09 19:54  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm,
	  themes/largeprint/bottom-active.png,
	  themes/largeprint/bottom-active.svg,
	  themes/largeprint/bottom-active.xpm,
	  themes/largeprint/bottom-inactive.png,
	  themes/largeprint/bottom-inactive.svg,
	  themes/largeprint/bottom-inactive.xpm,
	  themes/largeprint/bottom-left-active.png,
	  themes/largeprint/bottom-left-active.svg,
	  themes/largeprint/bottom-left-active.xpm,
	  themes/largeprint/bottom-left-inactive.png,
	  themes/largeprint/bottom-left-inactive.svg,
	  themes/largeprint/bottom-left-inactive.xpm,
	  themes/largeprint/bottom-right-active.png,
	  themes/largeprint/bottom-right-active.svg,
	  themes/largeprint/bottom-right-active.xpm,
	  themes/largeprint/bottom-right-inactive.png,
	  themes/largeprint/bottom-right-inactive.svg,
	  themes/largeprint/bottom-right-inactive.xpm,
	  themes/largeprint/close-active.png,
	  themes/largeprint/close-active.svg,
	  themes/largeprint/close-active.xpm,
	  themes/largeprint/close-inactive.png,
	  themes/largeprint/close-inactive.svg,
	  themes/largeprint/close-inactive.xpm,
	  themes/largeprint/close-pressed.png,
	  themes/largeprint/close-pressed.svg,
	  themes/largeprint/close-pressed.xpm,
	  themes/largeprint/hide-active.png,
	  themes/largeprint/hide-active.svg,
	  themes/largeprint/hide-active.xpm,
	  themes/largeprint/hide-inactive.png,
	  themes/largeprint/hide-inactive.svg,
	  themes/largeprint/hide-inactive.xpm,
	  themes/largeprint/hide-pressed.png,
	  themes/largeprint/hide-pressed.svg,
	  themes/largeprint/hide-pressed.xpm,
	  themes/largeprint/left-active.png,
	  themes/largeprint/left-active.svg,
	  themes/largeprint/left-active.xpm,
	  themes/largeprint/left-inactive.png,
	  themes/largeprint/left-inactive.svg,
	  themes/largeprint/left-inactive.xpm,
	  themes/largeprint/maximize-active.png,
	  themes/largeprint/maximize-active.svg,
	  themes/largeprint/maximize-active.xpm,
	  themes/largeprint/maximize-inactive.png,
	  themes/largeprint/maximize-inactive.svg,
	  themes/largeprint/maximize-inactive.xpm,
	  themes/largeprint/maximize-pressed.png,
	  themes/largeprint/maximize-pressed.svg,
	  themes/largeprint/maximize-pressed.xpm,
	  themes/largeprint/maximize-toggled-active.png,
	  themes/largeprint/maximize-toggled-active.svg,
	  themes/largeprint/maximize-toggled-active.xpm,
	  themes/largeprint/maximize-toggled-inactive.png,
	  themes/largeprint/maximize-toggled-inactive.svg,
	  themes/largeprint/maximize-toggled-inactive.xpm,
	  themes/largeprint/maximize-toggled-pressed.png,
	  themes/largeprint/maximize-toggled-pressed.svg,
	  themes/largeprint/maximize-toggled-pressed.xpm,
	  themes/largeprint/menu-active.png,
	  themes/largeprint/menu-active.svg,
	  themes/largeprint/menu-active.xpm,
	  themes/largeprint/menu-inactive.png,
	  themes/largeprint/menu-inactive.svg,
	  themes/largeprint/menu-inactive.xpm,
	  themes/largeprint/menu-pressed.png,
	  themes/largeprint/menu-pressed.svg,
	  themes/largeprint/menu-pressed.xpm,
	  themes/largeprint/right-active.png,
	  themes/largeprint/right-active.svg,
	  themes/largeprint/right-active.xpm,
	  themes/largeprint/right-inactive.png,
	  themes/largeprint/right-inactive.svg,
	  themes/largeprint/right-inactive.xpm,
	  themes/largeprint/shade-active.png,
	  themes/largeprint/shade-active.svg,
	  themes/largeprint/shade-active.xpm,
	  themes/largeprint/shade-inactive.png,
	  themes/largeprint/shade-inactive.svg,
	  themes/largeprint/shade-inactive.xpm,
	  themes/largeprint/shade-pressed.png,
	  themes/largeprint/shade-pressed.svg,
	  themes/largeprint/shade-pressed.xpm,
	  themes/largeprint/shade-toggled-active.png,
	  themes/largeprint/shade-toggled-active.svg,
	  themes/largeprint/shade-toggled-active.xpm,
	  themes/largeprint/shade-toggled-inactive.png,
	  themes/largeprint/shade-toggled-inactive.svg,
	  themes/largeprint/shade-toggled-inactive.xpm,
	  themes/largeprint/shade-toggled-pressed.png,
	  themes/largeprint/shade-toggled-pressed.svg,
	  themes/largeprint/shade-toggled-pressed.xpm,
	  themes/largeprint/stick-active.png,
	  themes/largeprint/stick-active.svg,
	  themes/largeprint/stick-active.xpm,
	  themes/largeprint/stick-inactive.png,
	  themes/largeprint/stick-inactive.svg,
	  themes/largeprint/stick-inactive.xpm,
	  themes/largeprint/stick-pressed.png,
	  themes/largeprint/stick-pressed.svg,
	  themes/largeprint/stick-pressed.xpm,
	  themes/largeprint/stick-toggled-active.png,
	  themes/largeprint/stick-toggled-active.svg,
	  themes/largeprint/stick-toggled-active.xpm,
	  themes/largeprint/stick-toggled-inactive.png,
	  themes/largeprint/stick-toggled-inactive.svg,
	  themes/largeprint/stick-toggled-inactive.xpm,
	  themes/largeprint/stick-toggled-pressed.png,
	  themes/largeprint/stick-toggled-pressed.svg,
	  themes/largeprint/stick-toggled-pressed.xpm,
	  themes/largeprint/themerc, themes/largeprint/title-1-active.png,
	  themes/largeprint/title-1-active.svg,
	  themes/largeprint/title-1-active.xpm,
	  themes/largeprint/title-1-inactive.png,
	  themes/largeprint/title-1-inactive.svg,
	  themes/largeprint/title-1-inactive.xpm,
	  themes/largeprint/title-2-active.png,
	  themes/largeprint/title-2-active.svg,
	  themes/largeprint/title-2-active.xpm,
	  themes/largeprint/title-2-inactive.png,
	  themes/largeprint/title-2-inactive.svg,
	  themes/largeprint/title-2-inactive.xpm,
	  themes/largeprint/title-3-active.png,
	  themes/largeprint/title-3-active.svg,
	  themes/largeprint/title-3-active.xpm,
	  themes/largeprint/title-3-inactive.png,
	  themes/largeprint/title-3-inactive.svg,
	  themes/largeprint/title-3-inactive.xpm,
	  themes/largeprint/title-4-active.png,
	  themes/largeprint/title-4-active.svg,
	  themes/largeprint/title-4-active.xpm,
	  themes/largeprint/title-4-inactive.png,
	  themes/largeprint/title-4-inactive.svg,
	  themes/largeprint/title-4-inactive.xpm,
	  themes/largeprint/title-5-active.png,
	  themes/largeprint/title-5-active.svg,
	  themes/largeprint/title-5-active.xpm,
	  themes/largeprint/title-5-inactive.png,
	  themes/largeprint/title-5-inactive.svg,
	  themes/largeprint/title-5-inactive.xpm,
	  themes/largeprint/top-left-active.png,
	  themes/largeprint/top-left-active.svg,
	  themes/largeprint/top-left-active.xpm,
	  themes/largeprint/top-left-inactive.png,
	  themes/largeprint/top-left-inactive.svg,
	  themes/largeprint/top-left-inactive.xpm,
	  themes/largeprint/top-right-active.png,
	  themes/largeprint/top-right-active.svg,
	  themes/largeprint/top-right-active.xpm,
	  themes/largeprint/top-right-inactive.png,
	  themes/largeprint/top-right-inactive.svg,
	  themes/largeprint/top-right-inactive.xpm:
	  New default and largeprint themes

2007-05-09 19:51  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, src/events.c, src/screen.c,
	  src/settings.c, src/settings.h, themes/default.keys/keythemerc:
	  Add shortcut for above state (Bug #629)

2007-05-02 21:08  olivier

	* src/keyboard.c:
	  Code cleanup

2007-05-02 05:40  olivier

	* src/keyboard.c:
	  Fix memleak in modifier mapping

2007-05-01 22:22  olivier

	* src/keyboard.c:
	  Change modifier mapping (Bug #3194)

2007-05-01 15:24  olivier

	* src/keyboard.c:
	  Small cleanup

2007-05-01 15:08  olivier

	* src/keyboard.c:
	  Small cleanup

2007-05-01 14:32  olivier

	* src/events.c, src/keyboard.c, src/keyboard.h:
	  Revert to modifier mapping from xfwm4 version 4.0 (Bug #3194)

2007-04-27 21:33  olivier

	* themes/default/bottom-active.png,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/left-active.png, themes/default/left-inactive.png,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/right-active.png,
	  themes/default/right-inactive.png,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/largeprint/bottom-active.png,
	  themes/largeprint/bottom-inactive.png,
	  themes/largeprint/bottom-left-active.png,
	  themes/largeprint/bottom-left-inactive.png,
	  themes/largeprint/bottom-right-active.png,
	  themes/largeprint/bottom-right-inactive.png,
	  themes/largeprint/close-active.png,
	  themes/largeprint/close-active.svg,
	  themes/largeprint/close-inactive.png,
	  themes/largeprint/close-inactive.svg,
	  themes/largeprint/close-pressed.png,
	  themes/largeprint/close-pressed.svg,
	  themes/largeprint/hide-active.png,
	  themes/largeprint/hide-active.svg,
	  themes/largeprint/hide-inactive.png,
	  themes/largeprint/hide-inactive.svg,
	  themes/largeprint/hide-pressed.png,
	  themes/largeprint/hide-pressed.svg,
	  themes/largeprint/left-active.png,
	  themes/largeprint/left-inactive.png,
	  themes/largeprint/maximize-active.png,
	  themes/largeprint/maximize-active.svg,
	  themes/largeprint/maximize-inactive.png,
	  themes/largeprint/maximize-inactive.svg,
	  themes/largeprint/maximize-pressed.png,
	  themes/largeprint/maximize-pressed.svg,
	  themes/largeprint/maximize-toggled-active.png,
	  themes/largeprint/maximize-toggled-active.svg,
	  themes/largeprint/maximize-toggled-inactive.png,
	  themes/largeprint/maximize-toggled-inactive.svg,
	  themes/largeprint/maximize-toggled-pressed.png,
	  themes/largeprint/maximize-toggled-pressed.svg,
	  themes/largeprint/menu-active.png,
	  themes/largeprint/menu-active.svg,
	  themes/largeprint/menu-inactive.png,
	  themes/largeprint/menu-inactive.svg,
	  themes/largeprint/menu-pressed.png,
	  themes/largeprint/menu-pressed.svg,
	  themes/largeprint/right-active.png,
	  themes/largeprint/right-inactive.png,
	  themes/largeprint/shade-active.png,
	  themes/largeprint/shade-active.svg,
	  themes/largeprint/shade-inactive.png,
	  themes/largeprint/shade-inactive.svg,
	  themes/largeprint/shade-pressed.png,
	  themes/largeprint/shade-pressed.svg,
	  themes/largeprint/shade-toggled-active.png,
	  themes/largeprint/shade-toggled-active.svg,
	  themes/largeprint/shade-toggled-inactive.png,
	  themes/largeprint/shade-toggled-inactive.svg,
	  themes/largeprint/shade-toggled-pressed.png,
	  themes/largeprint/shade-toggled-pressed.svg,
	  themes/largeprint/stick-active.png,
	  themes/largeprint/stick-active.svg,
	  themes/largeprint/stick-inactive.png,
	  themes/largeprint/stick-inactive.svg,
	  themes/largeprint/stick-pressed.png,
	  themes/largeprint/stick-pressed.svg,
	  themes/largeprint/stick-toggled-active.png,
	  themes/largeprint/stick-toggled-active.svg,
	  themes/largeprint/stick-toggled-inactive.png,
	  themes/largeprint/stick-toggled-inactive.svg,
	  themes/largeprint/stick-toggled-pressed.png,
	  themes/largeprint/stick-toggled-pressed.svg,
	  themes/largeprint/title-1-active.png,
	  themes/largeprint/title-1-active.svg,
	  themes/largeprint/title-1-inactive.png,
	  themes/largeprint/title-1-inactive.svg,
	  themes/largeprint/title-2-active.png,
	  themes/largeprint/title-2-active.svg,
	  themes/largeprint/title-2-inactive.png,
	  themes/largeprint/title-2-inactive.svg,
	  themes/largeprint/title-3-active.png,
	  themes/largeprint/title-3-active.svg,
	  themes/largeprint/title-3-inactive.png,
	  themes/largeprint/title-3-inactive.svg,
	  themes/largeprint/title-4-active.png,
	  themes/largeprint/title-4-active.svg,
	  themes/largeprint/title-4-inactive.png,
	  themes/largeprint/title-4-inactive.svg,
	  themes/largeprint/title-5-active.png,
	  themes/largeprint/title-5-active.svg,
	  themes/largeprint/title-5-inactive.png,
	  themes/largeprint/title-5-inactive.svg,
	  themes/largeprint/top-left-active.png,
	  themes/largeprint/top-left-active.svg,
	  themes/largeprint/top-left-inactive.png,
	  themes/largeprint/top-left-inactive.svg,
	  themes/largeprint/top-right-active.png,
	  themes/largeprint/top-right-active.svg,
	  themes/largeprint/top-right-inactive.png,
	  themes/largeprint/top-right-inactive.svg:
	  Theme stuff

2007-04-27 20:01  olivier

	* src/events.c, src/settings.h:
	  Fix wrong count of key shortcut causing switch to last workspace
	  on modifier key press if no window is focused (Bug #3191)

2007-04-27 07:13  sas

	* po/hu.po:
	  hu trunk: wm @ squeeze updated

2007-04-26 20:00  olivier

	* themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.xpm,
	  themes/default/close-pressed.xpm, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-pressed.xpm, themes/default/left-active.xpm,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.xpm,
	  themes/default/menu-pressed.xpm, themes/default/right-active.xpm,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-pressed.xpm,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm,
	  themes/largeprint/bottom-active.xpm,
	  themes/largeprint/bottom-inactive.xpm,
	  themes/largeprint/bottom-left-active.xpm,
	  themes/largeprint/bottom-left-inactive.xpm,
	  themes/largeprint/bottom-right-active.xpm,
	  themes/largeprint/bottom-right-inactive.xpm,
	  themes/largeprint/close-active.xpm,
	  themes/largeprint/close-inactive.xpm,
	  themes/largeprint/close-pressed.xpm,
	  themes/largeprint/hide-active.xpm,
	  themes/largeprint/hide-inactive.xpm,
	  themes/largeprint/hide-pressed.xpm,
	  themes/largeprint/left-active.xpm,
	  themes/largeprint/left-inactive.xpm,
	  themes/largeprint/maximize-active.xpm,
	  themes/largeprint/maximize-inactive.xpm,
	  themes/largeprint/maximize-pressed.xpm,
	  themes/largeprint/maximize-toggled-active.xpm,
	  themes/largeprint/maximize-toggled-inactive.xpm,
	  themes/largeprint/maximize-toggled-pressed.xpm,
	  themes/largeprint/menu-active.xpm,
	  themes/largeprint/menu-inactive.xpm,
	  themes/largeprint/menu-pressed.xpm,
	  themes/largeprint/right-active.xpm,
	  themes/largeprint/right-inactive.xpm,
	  themes/largeprint/shade-active.xpm,
	  themes/largeprint/shade-inactive.xpm,
	  themes/largeprint/shade-pressed.xpm,
	  themes/largeprint/shade-toggled-active.xpm,
	  themes/largeprint/shade-toggled-inactive.xpm,
	  themes/largeprint/shade-toggled-pressed.xpm,
	  themes/largeprint/stick-active.xpm,
	  themes/largeprint/stick-inactive.xpm,
	  themes/largeprint/stick-pressed.xpm,
	  themes/largeprint/stick-toggled-active.xpm,
	  themes/largeprint/stick-toggled-inactive.xpm,
	  themes/largeprint/stick-toggled-pressed.xpm,
	  themes/largeprint/title-1-active.xpm,
	  themes/largeprint/title-1-inactive.xpm,
	  themes/largeprint/title-2-active.xpm,
	  themes/largeprint/title-2-inactive.xpm,
	  themes/largeprint/title-3-active.xpm,
	  themes/largeprint/title-3-inactive.xpm,
	  themes/largeprint/title-4-active.xpm,
	  themes/largeprint/title-4-inactive.xpm,
	  themes/largeprint/title-5-active.xpm,
	  themes/largeprint/title-5-inactive.xpm,
	  themes/largeprint/top-left-active.xpm,
	  themes/largeprint/top-left-inactive.xpm,
	  themes/largeprint/top-right-active.xpm,
	  themes/largeprint/top-right-inactive.xpm:
	  Add lighter frame around window

2007-04-26 19:58  olivier

	* Makefile.am:
	  For some reason, the spec file was removed from 'extra dist' and
	  therefore 'make rpm' fails.

2007-04-22 21:02  olivier

	* src/stacking.c:
	  Fix strick bound checking causing wrong window to be focused in
	  focus follow mouse (Bug #2781)

2007-04-20 21:28  olivier

	* src/transients.c:
	  Transients for group shouldn't apply to other transients, or it
	  breaks stacking for some apps, noticeably mozilla "save as"
	  dialog...

2007-04-19 20:45  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po:
	  Update po

2007-04-19 20:28  olivier

	* ChangeLog:
	  Update ChangeLog

2007-04-19 20:21  olivier

	* mcs-plugin/wmtweaks_plugin.c:
	  Fix spacing between items in the wmtweaks dialog

2007-04-19 20:20  olivier

	* src/placement.c:
	  Fix mouse placement

2007-04-18 20:29  olivier

	* mcs-plugin/wmtweaks_plugin.c, src/placement.c:
	  Improve placement mode

2007-04-17 21:14  olivier

	* mcs-plugin/wmtweaks_plugin.c:
	  Minus the typos

2007-04-17 21:11  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c, src/placement.c,
	  src/settings.c, src/settings.h:
	  Add an option to open new windows under the mouse (Bug #3155)

2007-04-14 12:19  olivier

	* ChangeLog, themes/default/bottom-active.png,
	  themes/default/bottom-active.svg,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.png,
	  themes/default/bottom-inactive.svg,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.png,
	  themes/default/bottom-left-active.svg,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.png,
	  themes/default/bottom-left-inactive.svg,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.png,
	  themes/default/bottom-right-active.svg,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.png,
	  themes/default/bottom-right-inactive.svg,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/close-active.png, themes/default/close-active.svg,
	  themes/default/close-active.xpm,
	  themes/default/close-inactive.png,
	  themes/default/close-inactive.svg,
	  themes/default/close-inactive.xpm,
	  themes/default/close-pressed.png,
	  themes/default/close-pressed.svg,
	  themes/default/close-pressed.xpm, themes/default/hide-active.png,
	  themes/default/hide-active.svg, themes/default/hide-active.xpm,
	  themes/default/hide-inactive.png,
	  themes/default/hide-inactive.svg,
	  themes/default/hide-inactive.xpm,
	  themes/default/hide-pressed.png, themes/default/hide-pressed.svg,
	  themes/default/hide-pressed.xpm, themes/default/left-active.png,
	  themes/default/left-active.svg, themes/default/left-active.xpm,
	  themes/default/left-inactive.png,
	  themes/default/left-inactive.svg,
	  themes/default/left-inactive.xpm,
	  themes/default/maximize-active.png,
	  themes/default/maximize-active.svg,
	  themes/default/maximize-active.xpm,
	  themes/default/maximize-inactive.png,
	  themes/default/maximize-inactive.svg,
	  themes/default/maximize-inactive.xpm,
	  themes/default/maximize-pressed.png,
	  themes/default/maximize-pressed.svg,
	  themes/default/maximize-pressed.xpm,
	  themes/default/maximize-toggled-active.png,
	  themes/default/maximize-toggled-active.svg,
	  themes/default/maximize-toggled-active.xpm,
	  themes/default/maximize-toggled-inactive.png,
	  themes/default/maximize-toggled-inactive.svg,
	  themes/default/maximize-toggled-inactive.xpm,
	  themes/default/maximize-toggled-pressed.png,
	  themes/default/maximize-toggled-pressed.svg,
	  themes/default/maximize-toggled-pressed.xpm,
	  themes/default/menu-active.png, themes/default/menu-active.svg,
	  themes/default/menu-active.xpm, themes/default/menu-inactive.png,
	  themes/default/menu-inactive.svg,
	  themes/default/menu-inactive.xpm,
	  themes/default/menu-pressed.png, themes/default/menu-pressed.svg,
	  themes/default/menu-pressed.xpm, themes/default/right-active.png,
	  themes/default/right-active.svg, themes/default/right-active.xpm,
	  themes/default/right-inactive.png,
	  themes/default/right-inactive.svg,
	  themes/default/right-inactive.xpm,
	  themes/default/shade-active.png, themes/default/shade-active.svg,
	  themes/default/shade-active.xpm,
	  themes/default/shade-inactive.png,
	  themes/default/shade-inactive.svg,
	  themes/default/shade-inactive.xpm,
	  themes/default/shade-pressed.png,
	  themes/default/shade-pressed.svg,
	  themes/default/shade-pressed.xpm,
	  themes/default/shade-toggled-active.png,
	  themes/default/shade-toggled-active.svg,
	  themes/default/shade-toggled-active.xpm,
	  themes/default/shade-toggled-inactive.png,
	  themes/default/shade-toggled-inactive.svg,
	  themes/default/shade-toggled-inactive.xpm,
	  themes/default/shade-toggled-pressed.png,
	  themes/default/shade-toggled-pressed.svg,
	  themes/default/shade-toggled-pressed.xpm,
	  themes/default/stick-active.png, themes/default/stick-active.svg,
	  themes/default/stick-active.xpm,
	  themes/default/stick-inactive.png,
	  themes/default/stick-inactive.svg,
	  themes/default/stick-inactive.xpm,
	  themes/default/stick-pressed.png,
	  themes/default/stick-pressed.svg,
	  themes/default/stick-pressed.xpm,
	  themes/default/stick-toggled-active.png,
	  themes/default/stick-toggled-active.svg,
	  themes/default/stick-toggled-active.xpm,
	  themes/default/stick-toggled-inactive.png,
	  themes/default/stick-toggled-inactive.svg,
	  themes/default/stick-toggled-inactive.xpm,
	  themes/default/stick-toggled-pressed.png,
	  themes/default/stick-toggled-pressed.svg,
	  themes/default/stick-toggled-pressed.xpm, themes/default/themerc,
	  themes/default/title-1-active.png,
	  themes/default/title-1-active.svg,
	  themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.png,
	  themes/default/title-1-inactive.svg,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.png,
	  themes/default/title-2-active.svg,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.png,
	  themes/default/title-2-inactive.svg,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.png,
	  themes/default/title-3-active.svg,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.png,
	  themes/default/title-3-inactive.svg,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.png,
	  themes/default/title-4-active.svg,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.png,
	  themes/default/title-4-inactive.svg,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.png,
	  themes/default/title-5-active.svg,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.png,
	  themes/default/title-5-inactive.svg,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.png,
	  themes/default/top-left-active.svg,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.png,
	  themes/default/top-left-inactive.svg,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.png,
	  themes/default/top-right-active.svg,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.png,
	  themes/default/top-right-inactive.svg,
	  themes/default/top-right-inactive.xpm,
	  themes/largeprint/bottom-active.png,
	  themes/largeprint/bottom-active.svg,
	  themes/largeprint/bottom-active.xpm,
	  themes/largeprint/bottom-inactive.png,
	  themes/largeprint/bottom-inactive.svg,
	  themes/largeprint/bottom-inactive.xpm,
	  themes/largeprint/bottom-left-active.png,
	  themes/largeprint/bottom-left-active.svg,
	  themes/largeprint/bottom-left-active.xpm,
	  themes/largeprint/bottom-left-inactive.png,
	  themes/largeprint/bottom-left-inactive.svg,
	  themes/largeprint/bottom-left-inactive.xpm,
	  themes/largeprint/bottom-right-active.png,
	  themes/largeprint/bottom-right-active.svg,
	  themes/largeprint/bottom-right-active.xpm,
	  themes/largeprint/bottom-right-inactive.png,
	  themes/largeprint/bottom-right-inactive.svg,
	  themes/largeprint/bottom-right-inactive.xpm,
	  themes/largeprint/close-active.png,
	  themes/largeprint/close-active.svg,
	  themes/largeprint/close-active.xpm,
	  themes/largeprint/close-inactive.png,
	  themes/largeprint/close-inactive.svg,
	  themes/largeprint/close-inactive.xpm,
	  themes/largeprint/close-pressed.png,
	  themes/largeprint/close-pressed.svg,
	  themes/largeprint/close-pressed.xpm,
	  themes/largeprint/hide-active.png,
	  themes/largeprint/hide-active.svg,
	  themes/largeprint/hide-active.xpm,
	  themes/largeprint/hide-inactive.png,
	  themes/largeprint/hide-inactive.svg,
	  themes/largeprint/hide-inactive.xpm,
	  themes/largeprint/hide-pressed.png,
	  themes/largeprint/hide-pressed.svg,
	  themes/largeprint/hide-pressed.xpm,
	  themes/largeprint/left-active.png,
	  themes/largeprint/left-active.svg,
	  themes/largeprint/left-active.xpm,
	  themes/largeprint/left-inactive.png,
	  themes/largeprint/left-inactive.svg,
	  themes/largeprint/left-inactive.xpm,
	  themes/largeprint/maximize-active.png,
	  themes/largeprint/maximize-active.svg,
	  themes/largeprint/maximize-active.xpm,
	  themes/largeprint/maximize-inactive.png,
	  themes/largeprint/maximize-inactive.svg,
	  themes/largeprint/maximize-inactive.xpm,
	  themes/largeprint/maximize-pressed.png,
	  themes/largeprint/maximize-pressed.svg,
	  themes/largeprint/maximize-pressed.xpm,
	  themes/largeprint/maximize-toggled-active.png,
	  themes/largeprint/maximize-toggled-active.svg,
	  themes/largeprint/maximize-toggled-active.xpm,
	  themes/largeprint/maximize-toggled-inactive.png,
	  themes/largeprint/maximize-toggled-inactive.svg,
	  themes/largeprint/maximize-toggled-inactive.xpm,
	  themes/largeprint/maximize-toggled-pressed.png,
	  themes/largeprint/maximize-toggled-pressed.svg,
	  themes/largeprint/maximize-toggled-pressed.xpm,
	  themes/largeprint/menu-active.png,
	  themes/largeprint/menu-active.svg,
	  themes/largeprint/menu-active.xpm,
	  themes/largeprint/menu-inactive.png,
	  themes/largeprint/menu-inactive.svg,
	  themes/largeprint/menu-inactive.xpm,
	  themes/largeprint/menu-pressed.png,
	  themes/largeprint/menu-pressed.svg,
	  themes/largeprint/menu-pressed.xpm,
	  themes/largeprint/right-active.png,
	  themes/largeprint/right-active.svg,
	  themes/largeprint/right-active.xpm,
	  themes/largeprint/right-inactive.png,
	  themes/largeprint/right-inactive.svg,
	  themes/largeprint/right-inactive.xpm,
	  themes/largeprint/shade-active.png,
	  themes/largeprint/shade-active.svg,
	  themes/largeprint/shade-active.xpm,
	  themes/largeprint/shade-inactive.png,
	  themes/largeprint/shade-inactive.svg,
	  themes/largeprint/shade-inactive.xpm,
	  themes/largeprint/shade-pressed.png,
	  themes/largeprint/shade-pressed.svg,
	  themes/largeprint/shade-pressed.xpm,
	  themes/largeprint/shade-toggled-active.png,
	  themes/largeprint/shade-toggled-active.svg,
	  themes/largeprint/shade-toggled-active.xpm,
	  themes/largeprint/shade-toggled-inactive.png,
	  themes/largeprint/shade-toggled-inactive.svg,
	  themes/largeprint/shade-toggled-inactive.xpm,
	  themes/largeprint/shade-toggled-pressed.png,
	  themes/largeprint/shade-toggled-pressed.svg,
	  themes/largeprint/shade-toggled-pressed.xpm,
	  themes/largeprint/stick-active.png,
	  themes/largeprint/stick-active.svg,
	  themes/largeprint/stick-active.xpm,
	  themes/largeprint/stick-inactive.png,
	  themes/largeprint/stick-inactive.svg,
	  themes/largeprint/stick-inactive.xpm,
	  themes/largeprint/stick-pressed.png,
	  themes/largeprint/stick-pressed.svg,
	  themes/largeprint/stick-pressed.xpm,
	  themes/largeprint/stick-toggled-active.png,
	  themes/largeprint/stick-toggled-active.svg,
	  themes/largeprint/stick-toggled-active.xpm,
	  themes/largeprint/stick-toggled-inactive.png,
	  themes/largeprint/stick-toggled-inactive.svg,
	  themes/largeprint/stick-toggled-inactive.xpm,
	  themes/largeprint/stick-toggled-pressed.png,
	  themes/largeprint/stick-toggled-pressed.svg,
	  themes/largeprint/stick-toggled-pressed.xpm,
	  themes/largeprint/themerc, themes/largeprint/title-1-active.png,
	  themes/largeprint/title-1-active.svg,
	  themes/largeprint/title-1-active.xpm,
	  themes/largeprint/title-1-inactive.png,
	  themes/largeprint/title-1-inactive.svg,
	  themes/largeprint/title-1-inactive.xpm,
	  themes/largeprint/title-2-active.png,
	  themes/largeprint/title-2-active.svg,
	  themes/largeprint/title-2-active.xpm,
	  themes/largeprint/title-2-inactive.png,
	  themes/largeprint/title-2-inactive.svg,
	  themes/largeprint/title-2-inactive.xpm,
	  themes/largeprint/title-3-active.png,
	  themes/largeprint/title-3-active.svg,
	  themes/largeprint/title-3-active.xpm,
	  themes/largeprint/title-3-inactive.png,
